#!/usr/bin/env node
import { readCliConfig as To, log as R, HooksNameEnum as v, createSubcommand as St, getRootScriptName as Gn, xPrompts as C, getConfigFileCommonOptions as Tt, addHuskyHooks as Co, initHandlerCommon as Ao, readConfigFile as ge, lookForParentTarget as qn, decryptAES as $o, encryptAES as No, getCurrentBranchName as Po, getCommitByHookName as jo, resolveMergeInfoByGitReflogAction as xo, checkCurrentIsRebasing as Fo, resolveMergeInfoByCommitMsg as Uo, getCurrentBranchLastCommitList as Bo, getLastReflogList as Do, createMainCommand as Lo } from "@done-coding/cli-utils";
import { execSync as Y } from "node:child_process";
import gt, { existsSync as on, rmSync as je } from "node:fs";
import Ee, { resolve as Io } from "node:path";
import { getConfigPath as Mo, batchCompileHandler as ko, MODULE_DEFAULT_CONFIG_RELATIVE_PATH as Ho } from "@done-coding/cli-template";
import { getTargetRepoUrl as Go } from "@done-coding/cli-git";
const Kn = "自定义模版路径", Wn = "某个git平台用户仓库", se = {
  name: "create-done-coding",
  version: "0.11.11-alpha.0",
  description: "项目创建命令行工具",
  bin: "es/cli.mjs",
  cliConfig: {
    namespaceDir: ".done-coding",
    moduleName: "create"
  }
};
let ct;
const qo = async () => (ct || (ct = (await To({
  moduleName: se.cliConfig.moduleName,
  onSuccess({ config: t, cliConfigFileRelativePath: n, repoUrl: r }) {
    if (!Array.isArray(t.templateList)) {
      const o = `远程配置文件出错, templateList 不是数组, 请检查 ${r} ${n}`;
      throw new Error(o);
    }
    R.success("模板列表拉取成功！");
  }
})).templateList), ct), zn = async () => [
  ...await qo(),
  { name: Kn },
  { name: Wn }
], Ko = {
  type: "text",
  name: "projectName",
  message: "请输入项目名称",
  format: (e) => e.trim(),
  validate: (e) => e.length > 0 || "项目名称不能为空"
}, Wo = async () => ({
  type: "select",
  name: "template",
  message: "请选择模板",
  choices: (await zn()).map((t) => {
    var n;
    return {
      title: t.branch ? `${t.name}(${t.branch})` : t.name,
      value: t.name,
      description: `${t.description || ""}${(n = t.instances) != null && n.length ? `, 已应用于: ${[""].concat(t.instances).join(`
- `)}` : ""}` || void 0
    };
  }),
  validate: (t) => t.trim().length > 0 || "模板不能为空"
}), zo = {
  type: "confirm",
  name: "saveGitHistory",
  message: "是否保留git历史",
  initial: !1
}, Jo = (e = "项目已存在，是否删除") => ({
  type: "confirm",
  name: "isRemove",
  message: e
}), Vo = {
  type: "text",
  name: "customUrl",
  message: "请输入自定义模板路径",
  validate: (e) => e.trim().length > 0 || "路径不能为空"
}, Xo = (e) => ({
  type: "text",
  name: "gitCommitMessage",
  message: "请输入git提交信息",
  initial: `feat: 初始化项目${e}`,
  validate: (t) => t.trim().length > 0 || "提交信息不能为空"
});
var Qo = Object.defineProperty, Zo = (e, t, n) => t in e ? Qo(e, t, { enumerable: !0, configurable: !0, writable: !0, value: n }) : e[t] = n, ee = (e, t, n) => (Zo(e, typeof t != "symbol" ? t + "" : t, n), n), M = /* @__PURE__ */ ((e) => (e.REQUEST_ERROR = "REQUEST_ERROR", e.NO_RESPONSE = "NO_RESPONSE", e.NO_RESPONSE_TIMEOUT = "NO_RESPONSE_TIMEOUT", e.NO_RESPONSE_OFFLINE = "NO_RESPONSE_OFFLINE", e.DISPATCH_RESPONSE = "DISPATCH_RESPONSE", e.DEAL_ERROR = "DEAL_ERROR", e.NO_BUSINESS_CODE = "NO_BUSINESS_CODE", e.NO_NETWORK_CODE = "NO_NETWORK_CODE", e.ABORT = "ABORT", e))(M || {});
class re extends Error {
  constructor({ message: t, code: n, isBusinessError: r }) {
    super(t), ee(this, "code"), ee(this, "isBusinessError"), ee(this, "message"), this.message = t, this.code = n, this.isBusinessError = r, this.name = "DC Request ERROR";
  }
}
class Re extends re {
  /**
   * @param cause 错误原因
   */
  constructor({
    message: t,
    code: n,
    cause: r
  }) {
    super({ message: t, code: n, isBusinessError: !1 }), ee(this, "cause"), this.cause = r;
  }
}
class Jn extends re {
  constructor({ message: t, code: n }) {
    super({ message: t, code: n, isBusinessError: !0 });
  }
}
var k = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function Ct(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Yo = 200, At = "__lodash_hash_undefined__", es = 1 / 0, Vn = 9007199254740991, ts = "[object Arguments]", ns = "[object Function]", rs = "[object GeneratorFunction]", os = "[object Symbol]", ss = /[\\^$.*+?()[\]{}|]/g, is = /^\[object .+?Constructor\]$/, as = /^(?:0|[1-9]\d*)$/, cs = typeof k == "object" && k && k.Object === Object && k, us = typeof self == "object" && self && self.Object === Object && self, $t = cs || us || Function("return this")();
function ls(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function fs(e, t) {
  var n = e ? e.length : 0;
  return !!n && ds(e, t, 0) > -1;
}
function ps(e, t, n) {
  for (var r = -1, o = e ? e.length : 0; ++r < o; )
    if (n(t, e[r]))
      return !0;
  return !1;
}
function Xn(e, t) {
  for (var n = -1, r = e ? e.length : 0, o = Array(r); ++n < r; )
    o[n] = t(e[n], n, e);
  return o;
}
function Nt(e, t) {
  for (var n = -1, r = t.length, o = e.length; ++n < r; )
    e[o + n] = t[n];
  return e;
}
function hs(e, t, n, r) {
  for (var o = e.length, s = n + (r ? 1 : -1); r ? s-- : ++s < o; )
    if (t(e[s], s, e))
      return s;
  return -1;
}
function ds(e, t, n) {
  if (t !== t)
    return hs(e, ms, n);
  for (var r = n - 1, o = e.length; ++r < o; )
    if (e[r] === t)
      return r;
  return -1;
}
function ms(e) {
  return e !== e;
}
function gs(e, t) {
  for (var n = -1, r = Array(e); ++n < e; )
    r[n] = t(n);
  return r;
}
function ys(e) {
  return function(t) {
    return e(t);
  };
}
function Es(e, t) {
  return e.has(t);
}
function _s(e, t) {
  return e == null ? void 0 : e[t];
}
function bs(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
function Qn(e, t) {
  return function(n) {
    return e(t(n));
  };
}
var Rs = Array.prototype, Os = Function.prototype, Ge = Object.prototype, ut = $t["__core-js_shared__"], sn = function() {
  var e = /[^.]+$/.exec(ut && ut.keys && ut.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), Zn = Os.toString, ie = Ge.hasOwnProperty, Pt = Ge.toString, ws = RegExp(
  "^" + Zn.call(ie).replace(ss, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), an = $t.Symbol, vs = Qn(Object.getPrototypeOf, Object), Ss = Ge.propertyIsEnumerable, Ts = Rs.splice, cn = an ? an.isConcatSpreadable : void 0, yt = Object.getOwnPropertySymbols, un = Math.max, Cs = er($t, "Map"), Oe = er(Object, "create");
function W(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function As() {
  this.__data__ = Oe ? Oe(null) : {};
}
function $s(e) {
  return this.has(e) && delete this.__data__[e];
}
function Ns(e) {
  var t = this.__data__;
  if (Oe) {
    var n = t[e];
    return n === At ? void 0 : n;
  }
  return ie.call(t, e) ? t[e] : void 0;
}
function Ps(e) {
  var t = this.__data__;
  return Oe ? t[e] !== void 0 : ie.call(t, e);
}
function js(e, t) {
  var n = this.__data__;
  return n[e] = Oe && t === void 0 ? At : t, this;
}
W.prototype.clear = As;
W.prototype.delete = $s;
W.prototype.get = Ns;
W.prototype.has = Ps;
W.prototype.set = js;
function ae(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function xs() {
  this.__data__ = [];
}
function Fs(e) {
  var t = this.__data__, n = qe(t, e);
  if (n < 0)
    return !1;
  var r = t.length - 1;
  return n == r ? t.pop() : Ts.call(t, n, 1), !0;
}
function Us(e) {
  var t = this.__data__, n = qe(t, e);
  return n < 0 ? void 0 : t[n][1];
}
function Bs(e) {
  return qe(this.__data__, e) > -1;
}
function Ds(e, t) {
  var n = this.__data__, r = qe(n, e);
  return r < 0 ? n.push([e, t]) : n[r][1] = t, this;
}
ae.prototype.clear = xs;
ae.prototype.delete = Fs;
ae.prototype.get = Us;
ae.prototype.has = Bs;
ae.prototype.set = Ds;
function ce(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function Ls() {
  this.__data__ = {
    hash: new W(),
    map: new (Cs || ae)(),
    string: new W()
  };
}
function Is(e) {
  return Ke(this, e).delete(e);
}
function Ms(e) {
  return Ke(this, e).get(e);
}
function ks(e) {
  return Ke(this, e).has(e);
}
function Hs(e, t) {
  return Ke(this, e).set(e, t), this;
}
ce.prototype.clear = Ls;
ce.prototype.delete = Is;
ce.prototype.get = Ms;
ce.prototype.has = ks;
ce.prototype.set = Hs;
function De(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.__data__ = new ce(); ++t < n; )
    this.add(e[t]);
}
function Gs(e) {
  return this.__data__.set(e, At), this;
}
function qs(e) {
  return this.__data__.has(e);
}
De.prototype.add = De.prototype.push = Gs;
De.prototype.has = qs;
function Ks(e, t) {
  var n = jt(e) || tr(e) ? gs(e.length, String) : [], r = n.length, o = !!r;
  for (var s in e)
    (t || ie.call(e, s)) && !(o && (s == "length" || ri(s, r))) && n.push(s);
  return n;
}
function qe(e, t) {
  for (var n = e.length; n--; )
    if (li(e[n][0], t))
      return n;
  return -1;
}
function Ws(e, t, n, r) {
  var o = -1, s = fs, i = !0, a = e.length, u = [], f = t.length;
  if (!a)
    return u;
  n && (t = Xn(t, ys(n))), r ? (s = ps, i = !1) : t.length >= Yo && (s = Es, i = !1, t = new De(t));
  e:
    for (; ++o < a; ) {
      var c = e[o], p = n ? n(c) : c;
      if (c = r || c !== 0 ? c : 0, i && p === p) {
        for (var g = f; g--; )
          if (t[g] === p)
            continue e;
        u.push(c);
      } else
        s(t, p, r) || u.push(c);
    }
  return u;
}
function Yn(e, t, n, r, o) {
  var s = -1, i = e.length;
  for (n || (n = ni), o || (o = []); ++s < i; ) {
    var a = e[s];
    t > 0 && n(a) ? t > 1 ? Yn(a, t - 1, n, r, o) : Nt(o, a) : r || (o[o.length] = a);
  }
  return o;
}
function zs(e, t, n) {
  var r = t(e);
  return jt(e) ? r : Nt(r, n(e));
}
function Js(e) {
  if (!xt(e) || si(e))
    return !1;
  var t = rr(e) || bs(e) ? ws : is;
  return t.test(ui(e));
}
function Vs(e) {
  if (!xt(e))
    return ai(e);
  var t = ii(e), n = [];
  for (var r in e)
    r == "constructor" && (t || !ie.call(e, r)) || n.push(r);
  return n;
}
function Xs(e, t) {
  return e = Object(e), Qs(e, t, function(n, r) {
    return r in e;
  });
}
function Qs(e, t, n) {
  for (var r = -1, o = t.length, s = {}; ++r < o; ) {
    var i = t[r], a = e[i];
    n(a, i) && (s[i] = a);
  }
  return s;
}
function Zs(e, t) {
  return t = un(t === void 0 ? e.length - 1 : t, 0), function() {
    for (var n = arguments, r = -1, o = un(n.length - t, 0), s = Array(o); ++r < o; )
      s[r] = n[t + r];
    r = -1;
    for (var i = Array(t + 1); ++r < t; )
      i[r] = n[r];
    return i[t] = s, ls(e, this, i);
  };
}
function Ys(e) {
  return zs(e, di, ti);
}
function Ke(e, t) {
  var n = e.__data__;
  return oi(t) ? n[typeof t == "string" ? "string" : "hash"] : n.map;
}
function er(e, t) {
  var n = _s(e, t);
  return Js(n) ? n : void 0;
}
var ei = yt ? Qn(yt, Object) : sr, ti = yt ? function(e) {
  for (var t = []; e; )
    Nt(t, ei(e)), e = vs(e);
  return t;
} : sr;
function ni(e) {
  return jt(e) || tr(e) || !!(cn && e && e[cn]);
}
function ri(e, t) {
  return t = t ?? Vn, !!t && (typeof e == "number" || as.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function oi(e) {
  var t = typeof e;
  return t == "string" || t == "number" || t == "symbol" || t == "boolean" ? e !== "__proto__" : e === null;
}
function si(e) {
  return !!sn && sn in e;
}
function ii(e) {
  var t = e && e.constructor, n = typeof t == "function" && t.prototype || Ge;
  return e === n;
}
function ai(e) {
  var t = [];
  if (e != null)
    for (var n in Object(e))
      t.push(n);
  return t;
}
function ci(e) {
  if (typeof e == "string" || hi(e))
    return e;
  var t = e + "";
  return t == "0" && 1 / e == -es ? "-0" : t;
}
function ui(e) {
  if (e != null) {
    try {
      return Zn.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function li(e, t) {
  return e === t || e !== e && t !== t;
}
function tr(e) {
  return fi(e) && ie.call(e, "callee") && (!Ss.call(e, "callee") || Pt.call(e) == ts);
}
var jt = Array.isArray;
function nr(e) {
  return e != null && pi(e.length) && !rr(e);
}
function fi(e) {
  return or(e) && nr(e);
}
function rr(e) {
  var t = xt(e) ? Pt.call(e) : "";
  return t == ns || t == rs;
}
function pi(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= Vn;
}
function xt(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function or(e) {
  return !!e && typeof e == "object";
}
function hi(e) {
  return typeof e == "symbol" || or(e) && Pt.call(e) == os;
}
function di(e) {
  return nr(e) ? Ks(e, !0) : Vs(e);
}
var mi = Zs(function(e, t) {
  return e == null ? {} : (t = Xn(Yn(t, 1), ci), Xs(e, Ws(Ys(e), t)));
});
function sr() {
  return [];
}
var gi = mi;
const yi = /* @__PURE__ */ Ct(gi);
var H = /* @__PURE__ */ ((e) => (e.LOG = "log", e.WARN = "warn", e.ERROR = "error", e))(H || {}), N = /* @__PURE__ */ ((e) => (e.BEFORE = "1 发起请求前阶段", e.BEFORE_ERROR = "1.1 发起请求前阶段出错", e.BEFORE_ERROR_ORIGIN = "1.1.1 发起请求前阶段-原始错误", e.BEFORE_ERROR_PACK = "1.1.2 发起请求前阶段-包装后错误", e.NETWORK = "2 网络阶段", e.NETWORK_SUCCESS = "2.1 网络成功阶段", e.NETWORK_SUCCESS_BUSINESS_SUCCESS = "2.1.1 网路成功且业务成功", e.NETWORK_SUCCESS_BUSINESS_FAIL = "2.1.2 网络成功但业务失败", e.NETWORK_SUCCESS_DISPATCH_ERROR = "2.1.3 网络成功但分发业务结果出错", e.NETWORK_ERROR = "2.2 网络出错阶段", e.NETWORK_ERROR_ORIGIN = "2.2.1 网络出错阶段-原始错误", e.NETWORK_ERROR_PACK = "2.2.2 网络出错阶段-包装后错误", e.DEAL_ERROR = "3 处理错误阶段", e.DEAL_ERROR_ERROR = "3.1 处理错误阶段出错", e.DEAL_ERROR_RESULT = "3.2 处理错误结果", e.DEAL_ERROR_RESULT_RELOAD = "3.2.1 处理错误结果-重新请求", e.DEAL_ERROR_RESULT_CONTINUE = "3.2.2 处理错误结果-正常抛错", e))(N || {});
const P = ({
  stage: e,
  data: t
}, n = "log") => {
  console[n](
    e,
    t instanceof re ? yi({ ...t }, "cause") : t
  );
}, _e = (e) => e instanceof Error ? e.message : "未知错误", Ei = async (e, {
  getBusinessCode: t,
  getBusinessMsg: n,
  getBusinessData: r,
  businessSuccessCodeList: o = [200],
  isSuccessBusinessCode: s
}, i) => {
  i && P(
    { stage: N.NETWORK_SUCCESS, data: e },
    H.LOG
  );
  try {
    const a = t(e), u = n(e);
    if (s ? s(a) : o.includes(a)) {
      const f = {
        code: a,
        data: r(e),
        message: u
      };
      return i && P(
        {
          stage: N.NETWORK_SUCCESS_BUSINESS_SUCCESS,
          data: f
        },
        H.LOG
      ), f;
    } else {
      if (a === void 0)
        throw new Error("业务code未定义");
      const f = new Jn({
        code: a,
        message: u ?? "未知错误"
      });
      return i && P(
        {
          stage: N.NETWORK_SUCCESS_BUSINESS_FAIL,
          data: f
        },
        H.ERROR
      ), Promise.reject(f);
    }
  } catch (a) {
    i && P(
      {
        stage: N.NETWORK_SUCCESS_DISPATCH_ERROR,
        data: a
      },
      H.ERROR
    );
    const u = new Re({
      code: M.DISPATCH_RESPONSE,
      message: _e(a) ?? "分发响应结果执行出错",
      cause: a
    });
    return Promise.reject(u);
  }
}, _i = (e, t) => (...n) => {
  try {
    return e(...n);
  } catch (r) {
    return console.error(e.name, r, e), t;
  }
}, ln = (e, t) => (...n) => e(...n).catch((r) => (console.error(e.name, r, e), t));
var ir = 9007199254740991, bi = "[object Arguments]", Ri = "[object Function]", Oi = "[object GeneratorFunction]", wi = /^(?:0|[1-9]\d*)$/;
function vi(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function Si(e, t) {
  for (var n = -1, r = Array(e); ++n < e; )
    r[n] = t(n);
  return r;
}
function Ti(e, t) {
  return function(n) {
    return e(t(n));
  };
}
var We = Object.prototype, Ae = We.hasOwnProperty, ar = We.toString, cr = We.propertyIsEnumerable, Ci = Ti(Object.keys, Object), fn = Math.max, Ai = !cr.call({ valueOf: 1 }, "valueOf");
function $i(e, t) {
  var n = Bi(e) || Ui(e) ? Si(e.length, String) : [], r = n.length, o = !!r;
  for (var s in e)
    (t || Ae.call(e, s)) && !(o && (s == "length" || lr(s, r))) && n.push(s);
  return n;
}
function ur(e, t, n) {
  var r = e[t];
  (!(Ae.call(e, t) && pr(r, n)) || n === void 0 && !(t in e)) && (e[t] = n);
}
function Ni(e) {
  if (!fr(e))
    return Ci(e);
  var t = [];
  for (var n in Object(e))
    Ae.call(e, n) && n != "constructor" && t.push(n);
  return t;
}
function Pi(e, t) {
  return t = fn(t === void 0 ? e.length - 1 : t, 0), function() {
    for (var n = arguments, r = -1, o = fn(n.length - t, 0), s = Array(o); ++r < o; )
      s[r] = n[t + r];
    r = -1;
    for (var i = Array(t + 1); ++r < t; )
      i[r] = n[r];
    return i[t] = s, vi(e, this, i);
  };
}
function ji(e, t, n, r) {
  n || (n = {});
  for (var o = -1, s = t.length; ++o < s; ) {
    var i = t[o], a = r ? r(n[i], e[i], i, n, e) : void 0;
    ur(n, i, a === void 0 ? e[i] : a);
  }
  return n;
}
function xi(e) {
  return Pi(function(t, n) {
    var r = -1, o = n.length, s = o > 1 ? n[o - 1] : void 0, i = o > 2 ? n[2] : void 0;
    for (s = e.length > 3 && typeof s == "function" ? (o--, s) : void 0, i && Fi(n[0], n[1], i) && (s = o < 3 ? void 0 : s, o = 1), t = Object(t); ++r < o; ) {
      var a = n[r];
      a && e(t, a, r, s);
    }
    return t;
  });
}
function lr(e, t) {
  return t = t ?? ir, !!t && (typeof e == "number" || wi.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function Fi(e, t, n) {
  if (!hr(n))
    return !1;
  var r = typeof t;
  return (r == "number" ? ze(n) && lr(t, n.length) : r == "string" && t in n) ? pr(n[t], e) : !1;
}
function fr(e) {
  var t = e && e.constructor, n = typeof t == "function" && t.prototype || We;
  return e === n;
}
function pr(e, t) {
  return e === t || e !== e && t !== t;
}
function Ui(e) {
  return Di(e) && Ae.call(e, "callee") && (!cr.call(e, "callee") || ar.call(e) == bi);
}
var Bi = Array.isArray;
function ze(e) {
  return e != null && Ii(e.length) && !Li(e);
}
function Di(e) {
  return Mi(e) && ze(e);
}
function Li(e) {
  var t = hr(e) ? ar.call(e) : "";
  return t == Ri || t == Oi;
}
function Ii(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= ir;
}
function hr(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function Mi(e) {
  return !!e && typeof e == "object";
}
var ki = xi(function(e, t) {
  if (Ai || fr(t) || ze(t)) {
    ji(t, Hi(t), e);
    return;
  }
  for (var n in t)
    Ae.call(t, n) && ur(e, n, t[n]);
});
function Hi(e) {
  return ze(e) ? $i(e) : Ni(e);
}
var Gi = ki;
const pn = /* @__PURE__ */ Ct(Gi);
var qi = "Expected a function", hn = "__lodash_placeholder__", z = 1, Je = 2, Ki = 4, K = 8, be = 16, te = 32, we = 64, dr = 128, Wi = 256, mr = 512, dn = 1 / 0, zi = 9007199254740991, Ji = 17976931348623157e292, mn = NaN, Vi = [
  ["ary", dr],
  ["bind", z],
  ["bindKey", Je],
  ["curry", K],
  ["curryRight", be],
  ["flip", mr],
  ["partial", te],
  ["partialRight", we],
  ["rearg", Wi]
], Xi = "[object Function]", Qi = "[object GeneratorFunction]", Zi = "[object Symbol]", Yi = /[\\^$.*+?()[\]{}|]/g, ea = /^\s+|\s+$/g, ta = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/, na = /\{\n\/\* \[wrapped with (.+)\] \*/, ra = /,? & /, oa = /^[-+]0x[0-9a-f]+$/i, sa = /^0b[01]+$/i, ia = /^\[object .+?Constructor\]$/, aa = /^0o[0-7]+$/i, ca = /^(?:0|[1-9]\d*)$/, ua = parseInt, la = typeof k == "object" && k && k.Object === Object && k, fa = typeof self == "object" && self && self.Object === Object && self, $e = la || fa || Function("return this")();
function gr(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function pa(e, t) {
  for (var n = -1, r = e ? e.length : 0; ++n < r && t(e[n], n, e) !== !1; )
    ;
  return e;
}
function ha(e, t) {
  var n = e ? e.length : 0;
  return !!n && ma(e, t, 0) > -1;
}
function da(e, t, n, r) {
  for (var o = e.length, s = n + (r ? 1 : -1); r ? s-- : ++s < o; )
    if (t(e[s], s, e))
      return s;
  return -1;
}
function ma(e, t, n) {
  if (t !== t)
    return da(e, ga, n);
  for (var r = n - 1, o = e.length; ++r < o; )
    if (e[r] === t)
      return r;
  return -1;
}
function ga(e) {
  return e !== e;
}
function ya(e, t) {
  for (var n = e.length, r = 0; n--; )
    e[n] === t && r++;
  return r;
}
function Ea(e, t) {
  return e == null ? void 0 : e[t];
}
function _a(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
function yr(e, t) {
  for (var n = -1, r = e.length, o = 0, s = []; ++n < r; ) {
    var i = e[n];
    (i === t || i === hn) && (e[n] = hn, s[o++] = n);
  }
  return s;
}
var ba = Function.prototype, Er = Object.prototype, lt = $e["__core-js_shared__"], gn = function() {
  var e = /[^.]+$/.exec(lt && lt.keys && lt.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), _r = ba.toString, Ra = Er.hasOwnProperty, br = Er.toString, Oa = RegExp(
  "^" + _r.call(Ra).replace(Yi, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), wa = Object.create, Le = Math.max, va = Math.min, yn = function() {
  var e = En(Object, "defineProperty"), t = En.name;
  return t && t.length > 2 ? e : void 0;
}();
function Sa(e) {
  return oe(e) ? wa(e) : {};
}
function Ta(e) {
  if (!oe(e) || Da(e))
    return !1;
  var t = ka(e) || _a(e) ? Oa : ia;
  return t.test(Ia(e));
}
function Ca(e, t, n, r) {
  for (var o = -1, s = e.length, i = n.length, a = -1, u = t.length, f = Le(s - i, 0), c = Array(u + f), p = !r; ++a < u; )
    c[a] = t[a];
  for (; ++o < i; )
    (p || o < s) && (c[n[o]] = e[o]);
  for (; f--; )
    c[a++] = e[o++];
  return c;
}
function Aa(e, t, n, r) {
  for (var o = -1, s = e.length, i = -1, a = n.length, u = -1, f = t.length, c = Le(s - a, 0), p = Array(c + f), g = !r; ++o < c; )
    p[o] = e[o];
  for (var m = o; ++u < f; )
    p[m + u] = t[u];
  for (; ++i < a; )
    (g || o < s) && (p[m + n[i]] = e[o++]);
  return p;
}
function $a(e, t) {
  var n = -1, r = e.length;
  for (t || (t = Array(r)); ++n < r; )
    t[n] = e[n];
  return t;
}
function Na(e, t, n) {
  var r = t & z, o = ve(e);
  function s() {
    var i = this && this !== $e && this instanceof s ? o : e;
    return i.apply(r ? n : this, arguments);
  }
  return s;
}
function ve(e) {
  return function() {
    var t = arguments;
    switch (t.length) {
      case 0:
        return new e();
      case 1:
        return new e(t[0]);
      case 2:
        return new e(t[0], t[1]);
      case 3:
        return new e(t[0], t[1], t[2]);
      case 4:
        return new e(t[0], t[1], t[2], t[3]);
      case 5:
        return new e(t[0], t[1], t[2], t[3], t[4]);
      case 6:
        return new e(t[0], t[1], t[2], t[3], t[4], t[5]);
      case 7:
        return new e(t[0], t[1], t[2], t[3], t[4], t[5], t[6]);
    }
    var n = Sa(e.prototype), r = e.apply(n, t);
    return oe(r) ? r : n;
  };
}
function Pa(e, t, n) {
  var r = ve(e);
  function o() {
    for (var s = arguments.length, i = Array(s), a = s, u = Or(o); a--; )
      i[a] = arguments[a];
    var f = s < 3 && i[0] !== u && i[s - 1] !== u ? [] : yr(i, u);
    if (s -= f.length, s < n)
      return Rr(
        e,
        t,
        Ft,
        o.placeholder,
        void 0,
        i,
        f,
        void 0,
        void 0,
        n - s
      );
    var c = this && this !== $e && this instanceof o ? r : e;
    return gr(c, this, i);
  }
  return o;
}
function Ft(e, t, n, r, o, s, i, a, u, f) {
  var c = t & dr, p = t & z, g = t & Je, m = t & (K | be), h = t & mr, y = g ? void 0 : ve(e);
  function d() {
    for (var b = arguments.length, E = Array(b), O = b; O--; )
      E[O] = arguments[O];
    if (m)
      var $ = Or(d), S = ya(E, $);
    if (r && (E = Ca(E, r, o, m)), s && (E = Aa(E, s, i, m)), b -= S, m && b < f) {
      var F = yr(E, $);
      return Rr(
        e,
        t,
        Ft,
        d.placeholder,
        n,
        E,
        F,
        a,
        u,
        f - b
      );
    }
    var U = p ? n : this, I = g ? U[e] : e;
    return b = E.length, a ? E = La(E, a) : h && b > 1 && E.reverse(), c && u < b && (E.length = u), this && this !== $e && this instanceof d && (I = y || ve(I)), I.apply(U, E);
  }
  return d;
}
function ja(e, t, n, r) {
  var o = t & z, s = ve(e);
  function i() {
    for (var a = -1, u = arguments.length, f = -1, c = r.length, p = Array(c + u), g = this && this !== $e && this instanceof i ? s : e; ++f < c; )
      p[f] = r[f];
    for (; u--; )
      p[f++] = arguments[++a];
    return gr(g, o ? n : this, p);
  }
  return i;
}
function Rr(e, t, n, r, o, s, i, a, u, f) {
  var c = t & K, p = c ? i : void 0, g = c ? void 0 : i, m = c ? s : void 0, h = c ? void 0 : s;
  t |= c ? te : we, t &= ~(c ? we : te), t & Ki || (t &= ~(z | Je));
  var y = n(e, t, o, m, p, h, g, a, u, f);
  return y.placeholder = r, wr(y, e, t);
}
function xa(e, t, n, r, o, s, i, a) {
  var u = t & Je;
  if (!u && typeof e != "function")
    throw new TypeError(qi);
  var f = r ? r.length : 0;
  if (f || (t &= ~(te | we), r = o = void 0), i = i === void 0 ? i : Le(_n(i), 0), a = a === void 0 ? a : _n(a), f -= o ? o.length : 0, t & we) {
    var c = r, p = o;
    r = o = void 0;
  }
  var g = [
    e,
    t,
    n,
    r,
    o,
    c,
    p,
    s,
    i,
    a
  ];
  if (e = g[0], t = g[1], n = g[2], r = g[3], o = g[4], a = g[9] = g[9] == null ? u ? 0 : e.length : Le(g[9] - f, 0), !a && t & (K | be) && (t &= ~(K | be)), !t || t == z)
    var m = Na(e, t, n);
  else
    t == K || t == be ? m = Pa(e, t, a) : (t == te || t == (z | te)) && !o.length ? m = ja(e, t, n, r) : m = Ft.apply(void 0, g);
  return wr(m, e, t);
}
function Or(e) {
  var t = e;
  return t.placeholder;
}
function En(e, t) {
  var n = Ea(e, t);
  return Ta(n) ? n : void 0;
}
function Fa(e) {
  var t = e.match(na);
  return t ? t[1].split(ra) : [];
}
function Ua(e, t) {
  var n = t.length, r = n - 1;
  return t[r] = (n > 1 ? "& " : "") + t[r], t = t.join(n > 2 ? ", " : " "), e.replace(ta, `{
/* [wrapped with ` + t + `] */
`);
}
function Ba(e, t) {
  return t = t ?? zi, !!t && (typeof e == "number" || ca.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function Da(e) {
  return !!gn && gn in e;
}
function La(e, t) {
  for (var n = e.length, r = va(t.length, n), o = $a(e); r--; ) {
    var s = t[r];
    e[r] = Ba(s, n) ? o[s] : void 0;
  }
  return e;
}
var wr = yn ? function(e, t, n) {
  var r = t + "";
  return yn(e, "toString", {
    configurable: !0,
    enumerable: !1,
    value: Wa(Ua(r, Ma(Fa(r), n)))
  });
} : za;
function Ia(e) {
  if (e != null) {
    try {
      return _r.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function Ma(e, t) {
  return pa(Vi, function(n) {
    var r = "_." + n[0];
    t & n[1] && !ha(e, r) && e.push(r);
  }), e.sort();
}
function Ut(e, t, n) {
  t = n ? void 0 : t;
  var r = xa(e, K, void 0, void 0, void 0, void 0, void 0, t);
  return r.placeholder = Ut.placeholder, r;
}
function ka(e) {
  var t = oe(e) ? br.call(e) : "";
  return t == Xi || t == Qi;
}
function oe(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function Ha(e) {
  return !!e && typeof e == "object";
}
function Ga(e) {
  return typeof e == "symbol" || Ha(e) && br.call(e) == Zi;
}
function qa(e) {
  if (!e)
    return e === 0 ? e : 0;
  if (e = Ka(e), e === dn || e === -dn) {
    var t = e < 0 ? -1 : 1;
    return t * Ji;
  }
  return e === e ? e : 0;
}
function _n(e) {
  var t = qa(e), n = t % 1;
  return t === t ? n ? t - n : t : 0;
}
function Ka(e) {
  if (typeof e == "number")
    return e;
  if (Ga(e))
    return mn;
  if (oe(e)) {
    var t = typeof e.valueOf == "function" ? e.valueOf() : e;
    e = oe(t) ? t + "" : t;
  }
  if (typeof e != "string")
    return e === 0 ? e : +e;
  e = e.replace(ea, "");
  var n = sa.test(e);
  return n || aa.test(e) ? ua(e.slice(2), n ? 2 : 8) : oa.test(e) ? mn : +e;
}
function Wa(e) {
  return function() {
    return e;
  };
}
function za(e) {
  return e;
}
Ut.placeholder = {};
var Ja = Ut;
const Va = /* @__PURE__ */ Ct(Ja), Xa = async ({
  cacheOptions: e,
  cacheConfig: t,
  apiConfig: n
}) => {
  const r = t.useCache && !!e;
  let o = "";
  r && (o = _i(e.getKey, "")(n));
  const s = r ? await ln(
    e.getCache,
    Promise.resolve(void 0)
  )(o) : void 0, i = r ? ln(
    Va(e.setCache)(o),
    Promise.resolve()
  ) : void 0;
  return {
    cacheEnabled: r,
    cacheKey: o,
    cacheResult: s,
    setCache: i
  };
}, Qa = (e, t) => {
  try {
    return e();
  } catch (n) {
    return t && P(
      {
        stage: N.DEAL_ERROR_ERROR,
        data: n
      },
      H.ERROR
    ), {
      canShowErrorToast: !0,
      newError: new Re({
        code: M.DEAL_ERROR,
        message: _e(n) ?? "处理RequestFailResult错误时出错",
        cause: n
      }),
      reload: !1
    };
  }
};
class Za {
  constructor(t) {
    ee(this, "options"), ee(this, "request", async (n, r = !1) => {
      var o;
      r && P({
        stage: N.BEFORE,
        data: n
      });
      const { uiConfig: s = {}, cacheConfig: i = {}, ...a } = n, u = pn({}, this.uiConfig, s), f = pn({}, this.cacheConfig, i), { cacheResult: c, setCache: p } = await Xa({
        cacheOptions: this.cacheFn,
        cacheConfig: f,
        apiConfig: n
      });
      if (c)
        return c;
      const g = {
        uiConfig: u,
        cacheConfig: f
      }, m = {
        ...a,
        BASE_PATH: this.basePath,
        TIMEOUT: this.timeout,
        debug: r
      };
      try {
        const h = await this.issue(m, g);
        return p == null || p(h, f), h;
      } catch (h) {
        const y = await Qa(() => {
          var d;
          return r && P({
            stage: N.DEAL_ERROR,
            data: h
          }), ((d = this.beforeError) == null ? void 0 : d.call(this, h, {
            apiConfig: n,
            extendConfig: g
          })) || {
            canShowErrorToast: !0,
            newError: h
          };
        }, r);
        if (y.reload)
          return r && P({
            stage: N.DEAL_ERROR_RESULT_RELOAD
          }), this.request(n, r);
        {
          const { newError: d, canShowErrorToast: b = !0 } = y;
          b && (u.errorToast ?? !0) && ((o = this.showToast) == null || o.call(this, d.message));
          let E;
          return d instanceof re ? E = d : d.isBusinessError ? E = new Jn(d) : E = new Re(d), r && P({
            stage: N.DEAL_ERROR_RESULT_CONTINUE,
            data: E
          }), Promise.reject(E);
        }
      }
    }), this.options = t;
  }
  get basePath() {
    return this.options.basePath;
  }
  get timeout() {
    return this.options.timeout;
  }
  get uiConfig() {
    return this.options.uiConfig || {};
  }
  get cacheConfig() {
    return this.options.cacheConfig || {};
  }
  /** 缓存相关方法 */
  get cacheFn() {
    return this.options.cache;
  }
  get issue() {
    return this.options.issue;
  }
  get beforeError() {
    return this.options.beforeError;
  }
  get showToast() {
    return this.options.showToast;
  }
}
const Ya = (e) => new Za(e);
var G = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function vr(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var ec = 200, Bt = "__lodash_hash_undefined__", tc = 1 / 0, Sr = 9007199254740991, nc = "[object Arguments]", rc = "[object Function]", oc = "[object GeneratorFunction]", sc = "[object Symbol]", ic = /[\\^$.*+?()[\]{}|]/g, ac = /^\[object .+?Constructor\]$/, cc = /^(?:0|[1-9]\d*)$/, uc = typeof G == "object" && G && G.Object === Object && G, lc = typeof self == "object" && self && self.Object === Object && self, Dt = uc || lc || Function("return this")();
function fc(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function pc(e, t) {
  var n = e ? e.length : 0;
  return !!n && mc(e, t, 0) > -1;
}
function hc(e, t, n) {
  for (var r = -1, o = e ? e.length : 0; ++r < o; )
    if (n(t, e[r]))
      return !0;
  return !1;
}
function Tr(e, t) {
  for (var n = -1, r = e ? e.length : 0, o = Array(r); ++n < r; )
    o[n] = t(e[n], n, e);
  return o;
}
function Lt(e, t) {
  for (var n = -1, r = t.length, o = e.length; ++n < r; )
    e[o + n] = t[n];
  return e;
}
function dc(e, t, n, r) {
  for (var o = e.length, s = n + (r ? 1 : -1); r ? s-- : ++s < o; )
    if (t(e[s], s, e))
      return s;
  return -1;
}
function mc(e, t, n) {
  if (t !== t)
    return dc(e, gc, n);
  for (var r = n - 1, o = e.length; ++r < o; )
    if (e[r] === t)
      return r;
  return -1;
}
function gc(e) {
  return e !== e;
}
function yc(e, t) {
  for (var n = -1, r = Array(e); ++n < e; )
    r[n] = t(n);
  return r;
}
function Ec(e) {
  return function(t) {
    return e(t);
  };
}
function _c(e, t) {
  return e.has(t);
}
function bc(e, t) {
  return e == null ? void 0 : e[t];
}
function Rc(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
function Cr(e, t) {
  return function(n) {
    return e(t(n));
  };
}
var Oc = Array.prototype, wc = Function.prototype, Ve = Object.prototype, ft = Dt["__core-js_shared__"], bn = function() {
  var e = /[^.]+$/.exec(ft && ft.keys && ft.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), Ar = wc.toString, ue = Ve.hasOwnProperty, It = Ve.toString, vc = RegExp(
  "^" + Ar.call(ue).replace(ic, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), Rn = Dt.Symbol, Sc = Cr(Object.getPrototypeOf, Object), Tc = Ve.propertyIsEnumerable, Cc = Oc.splice, On = Rn ? Rn.isConcatSpreadable : void 0, Et = Object.getOwnPropertySymbols, wn = Math.max, Ac = Nr(Dt, "Map"), Se = Nr(Object, "create");
function J(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function $c() {
  this.__data__ = Se ? Se(null) : {};
}
function Nc(e) {
  return this.has(e) && delete this.__data__[e];
}
function Pc(e) {
  var t = this.__data__;
  if (Se) {
    var n = t[e];
    return n === Bt ? void 0 : n;
  }
  return ue.call(t, e) ? t[e] : void 0;
}
function jc(e) {
  var t = this.__data__;
  return Se ? t[e] !== void 0 : ue.call(t, e);
}
function xc(e, t) {
  var n = this.__data__;
  return n[e] = Se && t === void 0 ? Bt : t, this;
}
J.prototype.clear = $c;
J.prototype.delete = Nc;
J.prototype.get = Pc;
J.prototype.has = jc;
J.prototype.set = xc;
function le(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function Fc() {
  this.__data__ = [];
}
function Uc(e) {
  var t = this.__data__, n = Xe(t, e);
  if (n < 0)
    return !1;
  var r = t.length - 1;
  return n == r ? t.pop() : Cc.call(t, n, 1), !0;
}
function Bc(e) {
  var t = this.__data__, n = Xe(t, e);
  return n < 0 ? void 0 : t[n][1];
}
function Dc(e) {
  return Xe(this.__data__, e) > -1;
}
function Lc(e, t) {
  var n = this.__data__, r = Xe(n, e);
  return r < 0 ? n.push([e, t]) : n[r][1] = t, this;
}
le.prototype.clear = Fc;
le.prototype.delete = Uc;
le.prototype.get = Bc;
le.prototype.has = Dc;
le.prototype.set = Lc;
function fe(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function Ic() {
  this.__data__ = {
    hash: new J(),
    map: new (Ac || le)(),
    string: new J()
  };
}
function Mc(e) {
  return Qe(this, e).delete(e);
}
function kc(e) {
  return Qe(this, e).get(e);
}
function Hc(e) {
  return Qe(this, e).has(e);
}
function Gc(e, t) {
  return Qe(this, e).set(e, t), this;
}
fe.prototype.clear = Ic;
fe.prototype.delete = Mc;
fe.prototype.get = kc;
fe.prototype.has = Hc;
fe.prototype.set = Gc;
function Ie(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.__data__ = new fe(); ++t < n; )
    this.add(e[t]);
}
function qc(e) {
  return this.__data__.set(e, Bt), this;
}
function Kc(e) {
  return this.__data__.has(e);
}
Ie.prototype.add = Ie.prototype.push = qc;
Ie.prototype.has = Kc;
function Wc(e, t) {
  var n = Mt(e) || Pr(e) ? yc(e.length, String) : [], r = n.length, o = !!r;
  for (var s in e)
    (t || ue.call(e, s)) && !(o && (s == "length" || ou(s, r))) && n.push(s);
  return n;
}
function Xe(e, t) {
  for (var n = e.length; n--; )
    if (fu(e[n][0], t))
      return n;
  return -1;
}
function zc(e, t, n, r) {
  var o = -1, s = pc, i = !0, a = e.length, u = [], f = t.length;
  if (!a)
    return u;
  n && (t = Tr(t, Ec(n))), r ? (s = hc, i = !1) : t.length >= ec && (s = _c, i = !1, t = new Ie(t));
  e:
    for (; ++o < a; ) {
      var c = e[o], p = n ? n(c) : c;
      if (c = r || c !== 0 ? c : 0, i && p === p) {
        for (var g = f; g--; )
          if (t[g] === p)
            continue e;
        u.push(c);
      } else
        s(t, p, r) || u.push(c);
    }
  return u;
}
function $r(e, t, n, r, o) {
  var s = -1, i = e.length;
  for (n || (n = ru), o || (o = []); ++s < i; ) {
    var a = e[s];
    t > 0 && n(a) ? t > 1 ? $r(a, t - 1, n, r, o) : Lt(o, a) : r || (o[o.length] = a);
  }
  return o;
}
function Jc(e, t, n) {
  var r = t(e);
  return Mt(e) ? r : Lt(r, n(e));
}
function Vc(e) {
  if (!kt(e) || iu(e))
    return !1;
  var t = xr(e) || Rc(e) ? vc : ac;
  return t.test(lu(e));
}
function Xc(e) {
  if (!kt(e))
    return cu(e);
  var t = au(e), n = [];
  for (var r in e)
    r == "constructor" && (t || !ue.call(e, r)) || n.push(r);
  return n;
}
function Qc(e, t) {
  return e = Object(e), Zc(e, t, function(n, r) {
    return r in e;
  });
}
function Zc(e, t, n) {
  for (var r = -1, o = t.length, s = {}; ++r < o; ) {
    var i = t[r], a = e[i];
    n(a, i) && (s[i] = a);
  }
  return s;
}
function Yc(e, t) {
  return t = wn(t === void 0 ? e.length - 1 : t, 0), function() {
    for (var n = arguments, r = -1, o = wn(n.length - t, 0), s = Array(o); ++r < o; )
      s[r] = n[t + r];
    r = -1;
    for (var i = Array(t + 1); ++r < t; )
      i[r] = n[r];
    return i[t] = s, fc(e, this, i);
  };
}
function eu(e) {
  return Jc(e, mu, nu);
}
function Qe(e, t) {
  var n = e.__data__;
  return su(t) ? n[typeof t == "string" ? "string" : "hash"] : n.map;
}
function Nr(e, t) {
  var n = bc(e, t);
  return Vc(n) ? n : void 0;
}
var tu = Et ? Cr(Et, Object) : Ur, nu = Et ? function(e) {
  for (var t = []; e; )
    Lt(t, tu(e)), e = Sc(e);
  return t;
} : Ur;
function ru(e) {
  return Mt(e) || Pr(e) || !!(On && e && e[On]);
}
function ou(e, t) {
  return t = t ?? Sr, !!t && (typeof e == "number" || cc.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function su(e) {
  var t = typeof e;
  return t == "string" || t == "number" || t == "symbol" || t == "boolean" ? e !== "__proto__" : e === null;
}
function iu(e) {
  return !!bn && bn in e;
}
function au(e) {
  var t = e && e.constructor, n = typeof t == "function" && t.prototype || Ve;
  return e === n;
}
function cu(e) {
  var t = [];
  if (e != null)
    for (var n in Object(e))
      t.push(n);
  return t;
}
function uu(e) {
  if (typeof e == "string" || du(e))
    return e;
  var t = e + "";
  return t == "0" && 1 / e == -tc ? "-0" : t;
}
function lu(e) {
  if (e != null) {
    try {
      return Ar.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function fu(e, t) {
  return e === t || e !== e && t !== t;
}
function Pr(e) {
  return pu(e) && ue.call(e, "callee") && (!Tc.call(e, "callee") || It.call(e) == nc);
}
var Mt = Array.isArray;
function jr(e) {
  return e != null && hu(e.length) && !xr(e);
}
function pu(e) {
  return Fr(e) && jr(e);
}
function xr(e) {
  var t = kt(e) ? It.call(e) : "";
  return t == rc || t == oc;
}
function hu(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= Sr;
}
function kt(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function Fr(e) {
  return !!e && typeof e == "object";
}
function du(e) {
  return typeof e == "symbol" || Fr(e) && It.call(e) == sc;
}
function mu(e) {
  return jr(e) ? Wc(e, !0) : Xc(e);
}
var gu = Yc(function(e, t) {
  return e == null ? {} : (t = Tr($r(t, 1), uu), Qc(e, zc(eu(e), t)));
});
function Ur() {
  return [];
}
var yu = gu;
const Eu = /* @__PURE__ */ vr(yu);
var _u = "Expected a function", Br = "__lodash_hash_undefined__", Dr = 1 / 0, bu = "[object Function]", Ru = "[object GeneratorFunction]", Ou = "[object Symbol]", wu = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, vu = /^\w*$/, Su = /^\./, Tu = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g, Cu = /[\\^$.*+?()[\]{}|]/g, Au = /\\(\\)?/g, $u = /^\[object .+?Constructor\]$/, Nu = typeof G == "object" && G && G.Object === Object && G, Pu = typeof self == "object" && self && self.Object === Object && self, Ht = Nu || Pu || Function("return this")();
function ju(e, t) {
  return e == null ? void 0 : e[t];
}
function xu(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
var Fu = Array.prototype, Uu = Function.prototype, Lr = Object.prototype, pt = Ht["__core-js_shared__"], vn = function() {
  var e = /[^.]+$/.exec(pt && pt.keys && pt.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), Ir = Uu.toString, Gt = Lr.hasOwnProperty, Mr = Lr.toString, Bu = RegExp(
  "^" + Ir.call(Gt).replace(Cu, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), Sn = Ht.Symbol, Du = Fu.splice, Lu = kr(Ht, "Map"), Te = kr(Object, "create"), Tn = Sn ? Sn.prototype : void 0, Cn = Tn ? Tn.toString : void 0;
function V(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function Iu() {
  this.__data__ = Te ? Te(null) : {};
}
function Mu(e) {
  return this.has(e) && delete this.__data__[e];
}
function ku(e) {
  var t = this.__data__;
  if (Te) {
    var n = t[e];
    return n === Br ? void 0 : n;
  }
  return Gt.call(t, e) ? t[e] : void 0;
}
function Hu(e) {
  var t = this.__data__;
  return Te ? t[e] !== void 0 : Gt.call(t, e);
}
function Gu(e, t) {
  var n = this.__data__;
  return n[e] = Te && t === void 0 ? Br : t, this;
}
V.prototype.clear = Iu;
V.prototype.delete = Mu;
V.prototype.get = ku;
V.prototype.has = Hu;
V.prototype.set = Gu;
function pe(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function qu() {
  this.__data__ = [];
}
function Ku(e) {
  var t = this.__data__, n = Ze(t, e);
  if (n < 0)
    return !1;
  var r = t.length - 1;
  return n == r ? t.pop() : Du.call(t, n, 1), !0;
}
function Wu(e) {
  var t = this.__data__, n = Ze(t, e);
  return n < 0 ? void 0 : t[n][1];
}
function zu(e) {
  return Ze(this.__data__, e) > -1;
}
function Ju(e, t) {
  var n = this.__data__, r = Ze(n, e);
  return r < 0 ? n.push([e, t]) : n[r][1] = t, this;
}
pe.prototype.clear = qu;
pe.prototype.delete = Ku;
pe.prototype.get = Wu;
pe.prototype.has = zu;
pe.prototype.set = Ju;
function Q(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function Vu() {
  this.__data__ = {
    hash: new V(),
    map: new (Lu || pe)(),
    string: new V()
  };
}
function Xu(e) {
  return Ye(this, e).delete(e);
}
function Qu(e) {
  return Ye(this, e).get(e);
}
function Zu(e) {
  return Ye(this, e).has(e);
}
function Yu(e, t) {
  return Ye(this, e).set(e, t), this;
}
Q.prototype.clear = Vu;
Q.prototype.delete = Xu;
Q.prototype.get = Qu;
Q.prototype.has = Zu;
Q.prototype.set = Yu;
function Ze(e, t) {
  for (var n = e.length; n--; )
    if (ll(e[n][0], t))
      return n;
  return -1;
}
function el(e, t) {
  t = ol(t, e) ? [t] : rl(t);
  for (var n = 0, r = t.length; e != null && n < r; )
    e = e[cl(t[n++])];
  return n && n == r ? e : void 0;
}
function tl(e) {
  if (!Gr(e) || il(e))
    return !1;
  var t = fl(e) || xu(e) ? Bu : $u;
  return t.test(ul(e));
}
function nl(e) {
  if (typeof e == "string")
    return e;
  if (Kt(e))
    return Cn ? Cn.call(e) : "";
  var t = e + "";
  return t == "0" && 1 / e == -Dr ? "-0" : t;
}
function rl(e) {
  return Hr(e) ? e : al(e);
}
function Ye(e, t) {
  var n = e.__data__;
  return sl(t) ? n[typeof t == "string" ? "string" : "hash"] : n.map;
}
function kr(e, t) {
  var n = ju(e, t);
  return tl(n) ? n : void 0;
}
function ol(e, t) {
  if (Hr(e))
    return !1;
  var n = typeof e;
  return n == "number" || n == "symbol" || n == "boolean" || e == null || Kt(e) ? !0 : vu.test(e) || !wu.test(e) || t != null && e in Object(t);
}
function sl(e) {
  var t = typeof e;
  return t == "string" || t == "number" || t == "symbol" || t == "boolean" ? e !== "__proto__" : e === null;
}
function il(e) {
  return !!vn && vn in e;
}
var al = qt(function(e) {
  e = hl(e);
  var t = [];
  return Su.test(e) && t.push(""), e.replace(Tu, function(n, r, o, s) {
    t.push(o ? s.replace(Au, "$1") : r || n);
  }), t;
});
function cl(e) {
  if (typeof e == "string" || Kt(e))
    return e;
  var t = e + "";
  return t == "0" && 1 / e == -Dr ? "-0" : t;
}
function ul(e) {
  if (e != null) {
    try {
      return Ir.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function qt(e, t) {
  if (typeof e != "function" || t && typeof t != "function")
    throw new TypeError(_u);
  var n = function() {
    var r = arguments, o = t ? t.apply(this, r) : r[0], s = n.cache;
    if (s.has(o))
      return s.get(o);
    var i = e.apply(this, r);
    return n.cache = s.set(o, i), i;
  };
  return n.cache = new (qt.Cache || Q)(), n;
}
qt.Cache = Q;
function ll(e, t) {
  return e === t || e !== e && t !== t;
}
var Hr = Array.isArray;
function fl(e) {
  var t = Gr(e) ? Mr.call(e) : "";
  return t == bu || t == Ru;
}
function Gr(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function pl(e) {
  return !!e && typeof e == "object";
}
function Kt(e) {
  return typeof e == "symbol" || pl(e) && Mr.call(e) == Ou;
}
function hl(e) {
  return e == null ? "" : nl(e);
}
function dl(e, t, n) {
  var r = e == null ? void 0 : el(e, t);
  return r === void 0 ? n : r;
}
var ml = dl;
const gl = /* @__PURE__ */ vr(ml), qr = ({
  basePath: e,
  timeout: t,
  beforeRequest: n = (u) => u,
  networkSuccessCodeList: r,
  isSuccessNetworkCode: o = (u) => Array.isArray(r) ? r.includes(u) : u >= 200 && u < 300,
  instanceCreateConfig: s = {},
  axios: i,
  ...a
}) => {
  const u = i.create({
    baseURL: e,
    timeout: t,
    ...s,
    validateStatus: o
  });
  u.interceptors.request.use(n, (c) => {
    if (c instanceof re)
      return Promise.reject(c);
    const p = new Re({
      code: M.REQUEST_ERROR,
      message: _e(c) ?? "发起请求出错",
      cause: c
    });
    return Promise.reject(p);
  });
  const { request: f } = Ya({
    ...a,
    basePath: e,
    timeout: t,
    issue: ({ TIMEOUT: c, DEBUG: p, ...g }) => u({
      timeout: c,
      ...Eu(g, ["BASE_PATH"])
    }).then((m) => Ei(m, a, p)).catch((m) => {
      if (m instanceof re)
        return p && P(
          {
            stage: N.NETWORK_ERROR_ORIGIN,
            data: m
          },
          H.ERROR
        ), Promise.reject(m);
      const { response: h, request: y } = m;
      let d, b;
      h ? (d = h.status, b = h.statusText) : y ? (d = M.NO_RESPONSE, i.isAxiosError(m) ? m.message.includes("timeout of") ? (d = M.NO_RESPONSE_TIMEOUT, b = "请求超时") : gl(globalThis, "navigator.onLine") === !1 ? (d = M.NO_RESPONSE_OFFLINE, b = "网络未连接") : b = m.message : b = _e(m) ?? "未响应") : (d = M.REQUEST_ERROR, b = _e(m) ?? "发起请求出错");
      const E = new Re({
        code: d,
        message: b,
        cause: m
      });
      return p && P(
        {
          stage: N.NETWORK_ERROR_PACK,
          data: E
        },
        H.ERROR
      ), Promise.reject(E);
    })
  });
  return f;
};
function Kr(e, t) {
  return function() {
    return e.apply(t, arguments);
  };
}
const { toString: yl } = Object.prototype, { getPrototypeOf: Wt } = Object, et = ((e) => (t) => {
  const n = yl.call(t);
  return e[n] || (e[n] = n.slice(8, -1).toLowerCase());
})(/* @__PURE__ */ Object.create(null)), x = (e) => (e = e.toLowerCase(), (t) => et(t) === e), tt = (e) => (t) => typeof t === e, { isArray: he } = Array, Ce = tt("undefined");
function El(e) {
  return e !== null && !Ce(e) && e.constructor !== null && !Ce(e.constructor) && A(e.constructor.isBuffer) && e.constructor.isBuffer(e);
}
const Wr = x("ArrayBuffer");
function _l(e) {
  let t;
  return typeof ArrayBuffer < "u" && ArrayBuffer.isView ? t = ArrayBuffer.isView(e) : t = e && e.buffer && Wr(e.buffer), t;
}
const bl = tt("string"), A = tt("function"), zr = tt("number"), nt = (e) => e !== null && typeof e == "object", Rl = (e) => e === !0 || e === !1, xe = (e) => {
  if (et(e) !== "object")
    return !1;
  const t = Wt(e);
  return (t === null || t === Object.prototype || Object.getPrototypeOf(t) === null) && !(Symbol.toStringTag in e) && !(Symbol.iterator in e);
}, Ol = x("Date"), wl = x("File"), vl = x("Blob"), Sl = x("FileList"), Tl = (e) => nt(e) && A(e.pipe), Cl = (e) => {
  let t;
  return e && (typeof FormData == "function" && e instanceof FormData || A(e.append) && ((t = et(e)) === "formdata" || // detect form-data instance
  t === "object" && A(e.toString) && e.toString() === "[object FormData]"));
}, Al = x("URLSearchParams"), [$l, Nl, Pl, jl] = ["ReadableStream", "Request", "Response", "Headers"].map(x), xl = (e) => e.trim ? e.trim() : e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
function Ne(e, t, { allOwnKeys: n = !1 } = {}) {
  if (e === null || typeof e > "u")
    return;
  let r, o;
  if (typeof e != "object" && (e = [e]), he(e))
    for (r = 0, o = e.length; r < o; r++)
      t.call(null, e[r], r, e);
  else {
    const s = n ? Object.getOwnPropertyNames(e) : Object.keys(e), i = s.length;
    let a;
    for (r = 0; r < i; r++)
      a = s[r], t.call(null, e[a], a, e);
  }
}
function Jr(e, t) {
  t = t.toLowerCase();
  const n = Object.keys(e);
  let r = n.length, o;
  for (; r-- > 0; )
    if (o = n[r], t === o.toLowerCase())
      return o;
  return null;
}
const q = (() => typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : global)(), Vr = (e) => !Ce(e) && e !== q;
function _t() {
  const { caseless: e } = Vr(this) && this || {}, t = {}, n = (r, o) => {
    const s = e && Jr(t, o) || o;
    xe(t[s]) && xe(r) ? t[s] = _t(t[s], r) : xe(r) ? t[s] = _t({}, r) : he(r) ? t[s] = r.slice() : t[s] = r;
  };
  for (let r = 0, o = arguments.length; r < o; r++)
    arguments[r] && Ne(arguments[r], n);
  return t;
}
const Fl = (e, t, n, { allOwnKeys: r } = {}) => (Ne(t, (o, s) => {
  n && A(o) ? e[s] = Kr(o, n) : e[s] = o;
}, { allOwnKeys: r }), e), Ul = (e) => (e.charCodeAt(0) === 65279 && (e = e.slice(1)), e), Bl = (e, t, n, r) => {
  e.prototype = Object.create(t.prototype, r), e.prototype.constructor = e, Object.defineProperty(e, "super", {
    value: t.prototype
  }), n && Object.assign(e.prototype, n);
}, Dl = (e, t, n, r) => {
  let o, s, i;
  const a = {};
  if (t = t || {}, e == null)
    return t;
  do {
    for (o = Object.getOwnPropertyNames(e), s = o.length; s-- > 0; )
      i = o[s], (!r || r(i, e, t)) && !a[i] && (t[i] = e[i], a[i] = !0);
    e = n !== !1 && Wt(e);
  } while (e && (!n || n(e, t)) && e !== Object.prototype);
  return t;
}, Ll = (e, t, n) => {
  e = String(e), (n === void 0 || n > e.length) && (n = e.length), n -= t.length;
  const r = e.indexOf(t, n);
  return r !== -1 && r === n;
}, Il = (e) => {
  if (!e)
    return null;
  if (he(e))
    return e;
  let t = e.length;
  if (!zr(t))
    return null;
  const n = new Array(t);
  for (; t-- > 0; )
    n[t] = e[t];
  return n;
}, Ml = ((e) => (t) => e && t instanceof e)(typeof Uint8Array < "u" && Wt(Uint8Array)), kl = (e, t) => {
  const r = (e && e[Symbol.iterator]).call(e);
  let o;
  for (; (o = r.next()) && !o.done; ) {
    const s = o.value;
    t.call(e, s[0], s[1]);
  }
}, Hl = (e, t) => {
  let n;
  const r = [];
  for (; (n = e.exec(t)) !== null; )
    r.push(n);
  return r;
}, Gl = x("HTMLFormElement"), ql = (e) => e.toLowerCase().replace(
  /[-_\s]([a-z\d])(\w*)/g,
  function(n, r, o) {
    return r.toUpperCase() + o;
  }
), An = (({ hasOwnProperty: e }) => (t, n) => e.call(t, n))(Object.prototype), Kl = x("RegExp"), Xr = (e, t) => {
  const n = Object.getOwnPropertyDescriptors(e), r = {};
  Ne(n, (o, s) => {
    let i;
    (i = t(o, s, e)) !== !1 && (r[s] = i || o);
  }), Object.defineProperties(e, r);
}, Wl = (e) => {
  Xr(e, (t, n) => {
    if (A(e) && ["arguments", "caller", "callee"].indexOf(n) !== -1)
      return !1;
    const r = e[n];
    if (A(r)) {
      if (t.enumerable = !1, "writable" in t) {
        t.writable = !1;
        return;
      }
      t.set || (t.set = () => {
        throw Error("Can not rewrite read-only method '" + n + "'");
      });
    }
  });
}, zl = (e, t) => {
  const n = {}, r = (o) => {
    o.forEach((s) => {
      n[s] = !0;
    });
  };
  return he(e) ? r(e) : r(String(e).split(t)), n;
}, Jl = () => {
}, Vl = (e, t) => e != null && Number.isFinite(e = +e) ? e : t;
function Xl(e) {
  return !!(e && A(e.append) && e[Symbol.toStringTag] === "FormData" && e[Symbol.iterator]);
}
const Ql = (e) => {
  const t = new Array(10), n = (r, o) => {
    if (nt(r)) {
      if (t.indexOf(r) >= 0)
        return;
      if (!("toJSON" in r)) {
        t[o] = r;
        const s = he(r) ? [] : {};
        return Ne(r, (i, a) => {
          const u = n(i, o + 1);
          !Ce(u) && (s[a] = u);
        }), t[o] = void 0, s;
      }
    }
    return r;
  };
  return n(e, 0);
}, Zl = x("AsyncFunction"), Yl = (e) => e && (nt(e) || A(e)) && A(e.then) && A(e.catch), Qr = ((e, t) => e ? setImmediate : t ? ((n, r) => (q.addEventListener("message", ({ source: o, data: s }) => {
  o === q && s === n && r.length && r.shift()();
}, !1), (o) => {
  r.push(o), q.postMessage(n, "*");
}))(`axios@${Math.random()}`, []) : (n) => setTimeout(n))(
  typeof setImmediate == "function",
  A(q.postMessage)
), ef = typeof queueMicrotask < "u" ? queueMicrotask.bind(q) : typeof process < "u" && process.nextTick || Qr, l = {
  isArray: he,
  isArrayBuffer: Wr,
  isBuffer: El,
  isFormData: Cl,
  isArrayBufferView: _l,
  isString: bl,
  isNumber: zr,
  isBoolean: Rl,
  isObject: nt,
  isPlainObject: xe,
  isReadableStream: $l,
  isRequest: Nl,
  isResponse: Pl,
  isHeaders: jl,
  isUndefined: Ce,
  isDate: Ol,
  isFile: wl,
  isBlob: vl,
  isRegExp: Kl,
  isFunction: A,
  isStream: Tl,
  isURLSearchParams: Al,
  isTypedArray: Ml,
  isFileList: Sl,
  forEach: Ne,
  merge: _t,
  extend: Fl,
  trim: xl,
  stripBOM: Ul,
  inherits: Bl,
  toFlatObject: Dl,
  kindOf: et,
  kindOfTest: x,
  endsWith: Ll,
  toArray: Il,
  forEachEntry: kl,
  matchAll: Hl,
  isHTMLForm: Gl,
  hasOwnProperty: An,
  hasOwnProp: An,
  // an alias to avoid ESLint no-prototype-builtins detection
  reduceDescriptors: Xr,
  freezeMethods: Wl,
  toObjectSet: zl,
  toCamelCase: ql,
  noop: Jl,
  toFiniteNumber: Vl,
  findKey: Jr,
  global: q,
  isContextDefined: Vr,
  isSpecCompliantForm: Xl,
  toJSONObject: Ql,
  isAsyncFn: Zl,
  isThenable: Yl,
  setImmediate: Qr,
  asap: ef
};
function _(e, t, n, r, o) {
  Error.call(this), Error.captureStackTrace ? Error.captureStackTrace(this, this.constructor) : this.stack = new Error().stack, this.message = e, this.name = "AxiosError", t && (this.code = t), n && (this.config = n), r && (this.request = r), o && (this.response = o, this.status = o.status ? o.status : null);
}
l.inherits(_, Error, {
  toJSON: function() {
    return {
      // Standard
      message: this.message,
      name: this.name,
      // Microsoft
      description: this.description,
      number: this.number,
      // Mozilla
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      // Axios
      config: l.toJSONObject(this.config),
      code: this.code,
      status: this.status
    };
  }
});
const Zr = _.prototype, Yr = {};
[
  "ERR_BAD_OPTION_VALUE",
  "ERR_BAD_OPTION",
  "ECONNABORTED",
  "ETIMEDOUT",
  "ERR_NETWORK",
  "ERR_FR_TOO_MANY_REDIRECTS",
  "ERR_DEPRECATED",
  "ERR_BAD_RESPONSE",
  "ERR_BAD_REQUEST",
  "ERR_CANCELED",
  "ERR_NOT_SUPPORT",
  "ERR_INVALID_URL"
  // eslint-disable-next-line func-names
].forEach((e) => {
  Yr[e] = { value: e };
});
Object.defineProperties(_, Yr);
Object.defineProperty(Zr, "isAxiosError", { value: !0 });
_.from = (e, t, n, r, o, s) => {
  const i = Object.create(Zr);
  return l.toFlatObject(e, i, function(u) {
    return u !== Error.prototype;
  }, (a) => a !== "isAxiosError"), _.call(i, e.message, t, n, r, o), i.cause = e, i.name = e.name, s && Object.assign(i, s), i;
};
const tf = null;
function bt(e) {
  return l.isPlainObject(e) || l.isArray(e);
}
function eo(e) {
  return l.endsWith(e, "[]") ? e.slice(0, -2) : e;
}
function $n(e, t, n) {
  return e ? e.concat(t).map(function(o, s) {
    return o = eo(o), !n && s ? "[" + o + "]" : o;
  }).join(n ? "." : "") : t;
}
function nf(e) {
  return l.isArray(e) && !e.some(bt);
}
const rf = l.toFlatObject(l, {}, null, function(t) {
  return /^is[A-Z]/.test(t);
});
function rt(e, t, n) {
  if (!l.isObject(e))
    throw new TypeError("target must be an object");
  t = t || new FormData(), n = l.toFlatObject(n, {
    metaTokens: !0,
    dots: !1,
    indexes: !1
  }, !1, function(y, d) {
    return !l.isUndefined(d[y]);
  });
  const r = n.metaTokens, o = n.visitor || c, s = n.dots, i = n.indexes, u = (n.Blob || typeof Blob < "u" && Blob) && l.isSpecCompliantForm(t);
  if (!l.isFunction(o))
    throw new TypeError("visitor must be a function");
  function f(h) {
    if (h === null)
      return "";
    if (l.isDate(h))
      return h.toISOString();
    if (!u && l.isBlob(h))
      throw new _("Blob is not supported. Use a Buffer instead.");
    return l.isArrayBuffer(h) || l.isTypedArray(h) ? u && typeof Blob == "function" ? new Blob([h]) : Buffer.from(h) : h;
  }
  function c(h, y, d) {
    let b = h;
    if (h && !d && typeof h == "object") {
      if (l.endsWith(y, "{}"))
        y = r ? y : y.slice(0, -2), h = JSON.stringify(h);
      else if (l.isArray(h) && nf(h) || (l.isFileList(h) || l.endsWith(y, "[]")) && (b = l.toArray(h)))
        return y = eo(y), b.forEach(function(O, $) {
          !(l.isUndefined(O) || O === null) && t.append(
            // eslint-disable-next-line no-nested-ternary
            i === !0 ? $n([y], $, s) : i === null ? y : y + "[]",
            f(O)
          );
        }), !1;
    }
    return bt(h) ? !0 : (t.append($n(d, y, s), f(h)), !1);
  }
  const p = [], g = Object.assign(rf, {
    defaultVisitor: c,
    convertValue: f,
    isVisitable: bt
  });
  function m(h, y) {
    if (!l.isUndefined(h)) {
      if (p.indexOf(h) !== -1)
        throw Error("Circular reference detected in " + y.join("."));
      p.push(h), l.forEach(h, function(b, E) {
        (!(l.isUndefined(b) || b === null) && o.call(
          t,
          b,
          l.isString(E) ? E.trim() : E,
          y,
          g
        )) === !0 && m(b, y ? y.concat(E) : [E]);
      }), p.pop();
    }
  }
  if (!l.isObject(e))
    throw new TypeError("data must be an object");
  return m(e), t;
}
function Nn(e) {
  const t = {
    "!": "%21",
    "'": "%27",
    "(": "%28",
    ")": "%29",
    "~": "%7E",
    "%20": "+",
    "%00": "\0"
  };
  return encodeURIComponent(e).replace(/[!'()~]|%20|%00/g, function(r) {
    return t[r];
  });
}
function zt(e, t) {
  this._pairs = [], e && rt(e, this, t);
}
const to = zt.prototype;
to.append = function(t, n) {
  this._pairs.push([t, n]);
};
to.toString = function(t) {
  const n = t ? function(r) {
    return t.call(this, r, Nn);
  } : Nn;
  return this._pairs.map(function(o) {
    return n(o[0]) + "=" + n(o[1]);
  }, "").join("&");
};
function of(e) {
  return encodeURIComponent(e).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
function no(e, t, n) {
  if (!t)
    return e;
  const r = n && n.encode || of;
  l.isFunction(n) && (n = {
    serialize: n
  });
  const o = n && n.serialize;
  let s;
  if (o ? s = o(t, n) : s = l.isURLSearchParams(t) ? t.toString() : new zt(t, n).toString(r), s) {
    const i = e.indexOf("#");
    i !== -1 && (e = e.slice(0, i)), e += (e.indexOf("?") === -1 ? "?" : "&") + s;
  }
  return e;
}
class sf {
  constructor() {
    this.handlers = [];
  }
  /**
   * Add a new interceptor to the stack
   *
   * @param {Function} fulfilled The function to handle `then` for a `Promise`
   * @param {Function} rejected The function to handle `reject` for a `Promise`
   *
   * @return {Number} An ID used to remove interceptor later
   */
  use(t, n, r) {
    return this.handlers.push({
      fulfilled: t,
      rejected: n,
      synchronous: r ? r.synchronous : !1,
      runWhen: r ? r.runWhen : null
    }), this.handlers.length - 1;
  }
  /**
   * Remove an interceptor from the stack
   *
   * @param {Number} id The ID that was returned by `use`
   *
   * @returns {Boolean} `true` if the interceptor was removed, `false` otherwise
   */
  eject(t) {
    this.handlers[t] && (this.handlers[t] = null);
  }
  /**
   * Clear all interceptors from the stack
   *
   * @returns {void}
   */
  clear() {
    this.handlers && (this.handlers = []);
  }
  /**
   * Iterate over all the registered interceptors
   *
   * This method is particularly useful for skipping over any
   * interceptors that may have become `null` calling `eject`.
   *
   * @param {Function} fn The function to call for each interceptor
   *
   * @returns {void}
   */
  forEach(t) {
    l.forEach(this.handlers, function(r) {
      r !== null && t(r);
    });
  }
}
const Pn = sf, ro = {
  silentJSONParsing: !0,
  forcedJSONParsing: !0,
  clarifyTimeoutError: !1
}, af = typeof URLSearchParams < "u" ? URLSearchParams : zt, cf = typeof FormData < "u" ? FormData : null, uf = typeof Blob < "u" ? Blob : null, lf = {
  isBrowser: !0,
  classes: {
    URLSearchParams: af,
    FormData: cf,
    Blob: uf
  },
  protocols: ["http", "https", "file", "blob", "url", "data"]
}, Jt = typeof window < "u" && typeof document < "u", Rt = typeof navigator == "object" && navigator || void 0, ff = Jt && (!Rt || ["ReactNative", "NativeScript", "NS"].indexOf(Rt.product) < 0), pf = (() => typeof WorkerGlobalScope < "u" && // eslint-disable-next-line no-undef
self instanceof WorkerGlobalScope && typeof self.importScripts == "function")(), hf = Jt && window.location.href || "http://localhost", df = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  hasBrowserEnv: Jt,
  hasStandardBrowserEnv: ff,
  hasStandardBrowserWebWorkerEnv: pf,
  navigator: Rt,
  origin: hf
}, Symbol.toStringTag, { value: "Module" })), T = {
  ...df,
  ...lf
};
function mf(e, t) {
  return rt(e, new T.classes.URLSearchParams(), Object.assign({
    visitor: function(n, r, o, s) {
      return T.isNode && l.isBuffer(n) ? (this.append(r, n.toString("base64")), !1) : s.defaultVisitor.apply(this, arguments);
    }
  }, t));
}
function gf(e) {
  return l.matchAll(/\w+|\[(\w*)]/g, e).map((t) => t[0] === "[]" ? "" : t[1] || t[0]);
}
function yf(e) {
  const t = {}, n = Object.keys(e);
  let r;
  const o = n.length;
  let s;
  for (r = 0; r < o; r++)
    s = n[r], t[s] = e[s];
  return t;
}
function oo(e) {
  function t(n, r, o, s) {
    let i = n[s++];
    if (i === "__proto__")
      return !0;
    const a = Number.isFinite(+i), u = s >= n.length;
    return i = !i && l.isArray(o) ? o.length : i, u ? (l.hasOwnProp(o, i) ? o[i] = [o[i], r] : o[i] = r, !a) : ((!o[i] || !l.isObject(o[i])) && (o[i] = []), t(n, r, o[i], s) && l.isArray(o[i]) && (o[i] = yf(o[i])), !a);
  }
  if (l.isFormData(e) && l.isFunction(e.entries)) {
    const n = {};
    return l.forEachEntry(e, (r, o) => {
      t(gf(r), o, n, 0);
    }), n;
  }
  return null;
}
function Ef(e, t, n) {
  if (l.isString(e))
    try {
      return (t || JSON.parse)(e), l.trim(e);
    } catch (r) {
      if (r.name !== "SyntaxError")
        throw r;
    }
  return (n || JSON.stringify)(e);
}
const Vt = {
  transitional: ro,
  adapter: ["xhr", "http", "fetch"],
  transformRequest: [function(t, n) {
    const r = n.getContentType() || "", o = r.indexOf("application/json") > -1, s = l.isObject(t);
    if (s && l.isHTMLForm(t) && (t = new FormData(t)), l.isFormData(t))
      return o ? JSON.stringify(oo(t)) : t;
    if (l.isArrayBuffer(t) || l.isBuffer(t) || l.isStream(t) || l.isFile(t) || l.isBlob(t) || l.isReadableStream(t))
      return t;
    if (l.isArrayBufferView(t))
      return t.buffer;
    if (l.isURLSearchParams(t))
      return n.setContentType("application/x-www-form-urlencoded;charset=utf-8", !1), t.toString();
    let a;
    if (s) {
      if (r.indexOf("application/x-www-form-urlencoded") > -1)
        return mf(t, this.formSerializer).toString();
      if ((a = l.isFileList(t)) || r.indexOf("multipart/form-data") > -1) {
        const u = this.env && this.env.FormData;
        return rt(
          a ? { "files[]": t } : t,
          u && new u(),
          this.formSerializer
        );
      }
    }
    return s || o ? (n.setContentType("application/json", !1), Ef(t)) : t;
  }],
  transformResponse: [function(t) {
    const n = this.transitional || Vt.transitional, r = n && n.forcedJSONParsing, o = this.responseType === "json";
    if (l.isResponse(t) || l.isReadableStream(t))
      return t;
    if (t && l.isString(t) && (r && !this.responseType || o)) {
      const i = !(n && n.silentJSONParsing) && o;
      try {
        return JSON.parse(t);
      } catch (a) {
        if (i)
          throw a.name === "SyntaxError" ? _.from(a, _.ERR_BAD_RESPONSE, this, null, this.response) : a;
      }
    }
    return t;
  }],
  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  env: {
    FormData: T.classes.FormData,
    Blob: T.classes.Blob
  },
  validateStatus: function(t) {
    return t >= 200 && t < 300;
  },
  headers: {
    common: {
      Accept: "application/json, text/plain, */*",
      "Content-Type": void 0
    }
  }
};
l.forEach(["delete", "get", "head", "post", "put", "patch"], (e) => {
  Vt.headers[e] = {};
});
const Xt = Vt, _f = l.toObjectSet([
  "age",
  "authorization",
  "content-length",
  "content-type",
  "etag",
  "expires",
  "from",
  "host",
  "if-modified-since",
  "if-unmodified-since",
  "last-modified",
  "location",
  "max-forwards",
  "proxy-authorization",
  "referer",
  "retry-after",
  "user-agent"
]), bf = (e) => {
  const t = {};
  let n, r, o;
  return e && e.split(`
`).forEach(function(i) {
    o = i.indexOf(":"), n = i.substring(0, o).trim().toLowerCase(), r = i.substring(o + 1).trim(), !(!n || t[n] && _f[n]) && (n === "set-cookie" ? t[n] ? t[n].push(r) : t[n] = [r] : t[n] = t[n] ? t[n] + ", " + r : r);
  }), t;
}, jn = Symbol("internals");
function me(e) {
  return e && String(e).trim().toLowerCase();
}
function Fe(e) {
  return e === !1 || e == null ? e : l.isArray(e) ? e.map(Fe) : String(e);
}
function Rf(e) {
  const t = /* @__PURE__ */ Object.create(null), n = /([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;
  let r;
  for (; r = n.exec(e); )
    t[r[1]] = r[2];
  return t;
}
const Of = (e) => /^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(e.trim());
function ht(e, t, n, r, o) {
  if (l.isFunction(r))
    return r.call(this, t, n);
  if (o && (t = n), !!l.isString(t)) {
    if (l.isString(r))
      return t.indexOf(r) !== -1;
    if (l.isRegExp(r))
      return r.test(t);
  }
}
function wf(e) {
  return e.trim().toLowerCase().replace(/([a-z\d])(\w*)/g, (t, n, r) => n.toUpperCase() + r);
}
function vf(e, t) {
  const n = l.toCamelCase(" " + t);
  ["get", "set", "has"].forEach((r) => {
    Object.defineProperty(e, r + n, {
      value: function(o, s, i) {
        return this[r].call(this, t, o, s, i);
      },
      configurable: !0
    });
  });
}
class ot {
  constructor(t) {
    t && this.set(t);
  }
  set(t, n, r) {
    const o = this;
    function s(a, u, f) {
      const c = me(u);
      if (!c)
        throw new Error("header name must be a non-empty string");
      const p = l.findKey(o, c);
      (!p || o[p] === void 0 || f === !0 || f === void 0 && o[p] !== !1) && (o[p || u] = Fe(a));
    }
    const i = (a, u) => l.forEach(a, (f, c) => s(f, c, u));
    if (l.isPlainObject(t) || t instanceof this.constructor)
      i(t, n);
    else if (l.isString(t) && (t = t.trim()) && !Of(t))
      i(bf(t), n);
    else if (l.isHeaders(t))
      for (const [a, u] of t.entries())
        s(u, a, r);
    else
      t != null && s(n, t, r);
    return this;
  }
  get(t, n) {
    if (t = me(t), t) {
      const r = l.findKey(this, t);
      if (r) {
        const o = this[r];
        if (!n)
          return o;
        if (n === !0)
          return Rf(o);
        if (l.isFunction(n))
          return n.call(this, o, r);
        if (l.isRegExp(n))
          return n.exec(o);
        throw new TypeError("parser must be boolean|regexp|function");
      }
    }
  }
  has(t, n) {
    if (t = me(t), t) {
      const r = l.findKey(this, t);
      return !!(r && this[r] !== void 0 && (!n || ht(this, this[r], r, n)));
    }
    return !1;
  }
  delete(t, n) {
    const r = this;
    let o = !1;
    function s(i) {
      if (i = me(i), i) {
        const a = l.findKey(r, i);
        a && (!n || ht(r, r[a], a, n)) && (delete r[a], o = !0);
      }
    }
    return l.isArray(t) ? t.forEach(s) : s(t), o;
  }
  clear(t) {
    const n = Object.keys(this);
    let r = n.length, o = !1;
    for (; r--; ) {
      const s = n[r];
      (!t || ht(this, this[s], s, t, !0)) && (delete this[s], o = !0);
    }
    return o;
  }
  normalize(t) {
    const n = this, r = {};
    return l.forEach(this, (o, s) => {
      const i = l.findKey(r, s);
      if (i) {
        n[i] = Fe(o), delete n[s];
        return;
      }
      const a = t ? wf(s) : String(s).trim();
      a !== s && delete n[s], n[a] = Fe(o), r[a] = !0;
    }), this;
  }
  concat(...t) {
    return this.constructor.concat(this, ...t);
  }
  toJSON(t) {
    const n = /* @__PURE__ */ Object.create(null);
    return l.forEach(this, (r, o) => {
      r != null && r !== !1 && (n[o] = t && l.isArray(r) ? r.join(", ") : r);
    }), n;
  }
  [Symbol.iterator]() {
    return Object.entries(this.toJSON())[Symbol.iterator]();
  }
  toString() {
    return Object.entries(this.toJSON()).map(([t, n]) => t + ": " + n).join(`
`);
  }
  get [Symbol.toStringTag]() {
    return "AxiosHeaders";
  }
  static from(t) {
    return t instanceof this ? t : new this(t);
  }
  static concat(t, ...n) {
    const r = new this(t);
    return n.forEach((o) => r.set(o)), r;
  }
  static accessor(t) {
    const r = (this[jn] = this[jn] = {
      accessors: {}
    }).accessors, o = this.prototype;
    function s(i) {
      const a = me(i);
      r[a] || (vf(o, i), r[a] = !0);
    }
    return l.isArray(t) ? t.forEach(s) : s(t), this;
  }
}
ot.accessor(["Content-Type", "Content-Length", "Accept", "Accept-Encoding", "User-Agent", "Authorization"]);
l.reduceDescriptors(ot.prototype, ({ value: e }, t) => {
  let n = t[0].toUpperCase() + t.slice(1);
  return {
    get: () => e,
    set(r) {
      this[n] = r;
    }
  };
});
l.freezeMethods(ot);
const j = ot;
function dt(e, t) {
  const n = this || Xt, r = t || n, o = j.from(r.headers);
  let s = r.data;
  return l.forEach(e, function(a) {
    s = a.call(n, s, o.normalize(), t ? t.status : void 0);
  }), o.normalize(), s;
}
function so(e) {
  return !!(e && e.__CANCEL__);
}
function de(e, t, n) {
  _.call(this, e ?? "canceled", _.ERR_CANCELED, t, n), this.name = "CanceledError";
}
l.inherits(de, _, {
  __CANCEL__: !0
});
function io(e, t, n) {
  const r = n.config.validateStatus;
  !n.status || !r || r(n.status) ? e(n) : t(new _(
    "Request failed with status code " + n.status,
    [_.ERR_BAD_REQUEST, _.ERR_BAD_RESPONSE][Math.floor(n.status / 100) - 4],
    n.config,
    n.request,
    n
  ));
}
function Sf(e) {
  const t = /^([-+\w]{1,25})(:?\/\/|:)/.exec(e);
  return t && t[1] || "";
}
function Tf(e, t) {
  e = e || 10;
  const n = new Array(e), r = new Array(e);
  let o = 0, s = 0, i;
  return t = t !== void 0 ? t : 1e3, function(u) {
    const f = Date.now(), c = r[s];
    i || (i = f), n[o] = u, r[o] = f;
    let p = s, g = 0;
    for (; p !== o; )
      g += n[p++], p = p % e;
    if (o = (o + 1) % e, o === s && (s = (s + 1) % e), f - i < t)
      return;
    const m = c && f - c;
    return m ? Math.round(g * 1e3 / m) : void 0;
  };
}
function Cf(e, t) {
  let n = 0, r = 1e3 / t, o, s;
  const i = (f, c = Date.now()) => {
    n = c, o = null, s && (clearTimeout(s), s = null), e.apply(null, f);
  };
  return [(...f) => {
    const c = Date.now(), p = c - n;
    p >= r ? i(f, c) : (o = f, s || (s = setTimeout(() => {
      s = null, i(o);
    }, r - p)));
  }, () => o && i(o)];
}
const Me = (e, t, n = 3) => {
  let r = 0;
  const o = Tf(50, 250);
  return Cf((s) => {
    const i = s.loaded, a = s.lengthComputable ? s.total : void 0, u = i - r, f = o(u), c = i <= a;
    r = i;
    const p = {
      loaded: i,
      total: a,
      progress: a ? i / a : void 0,
      bytes: u,
      rate: f || void 0,
      estimated: f && a && c ? (a - i) / f : void 0,
      event: s,
      lengthComputable: a != null,
      [t ? "download" : "upload"]: !0
    };
    e(p);
  }, n);
}, xn = (e, t) => {
  const n = e != null;
  return [(r) => t[0]({
    lengthComputable: n,
    total: e,
    loaded: r
  }), t[1]];
}, Fn = (e) => (...t) => l.asap(() => e(...t)), Af = T.hasStandardBrowserEnv ? ((e, t) => (n) => (n = new URL(n, T.origin), e.protocol === n.protocol && e.host === n.host && (t || e.port === n.port)))(
  new URL(T.origin),
  T.navigator && /(msie|trident)/i.test(T.navigator.userAgent)
) : () => !0, $f = T.hasStandardBrowserEnv ? (
  // Standard browser envs support document.cookie
  {
    write(e, t, n, r, o, s) {
      const i = [e + "=" + encodeURIComponent(t)];
      l.isNumber(n) && i.push("expires=" + new Date(n).toGMTString()), l.isString(r) && i.push("path=" + r), l.isString(o) && i.push("domain=" + o), s === !0 && i.push("secure"), document.cookie = i.join("; ");
    },
    read(e) {
      const t = document.cookie.match(new RegExp("(^|;\\s*)(" + e + ")=([^;]*)"));
      return t ? decodeURIComponent(t[3]) : null;
    },
    remove(e) {
      this.write(e, "", Date.now() - 864e5);
    }
  }
) : (
  // Non-standard browser env (web workers, react-native) lack needed support.
  {
    write() {
    },
    read() {
      return null;
    },
    remove() {
    }
  }
);
function Nf(e) {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(e);
}
function Pf(e, t) {
  return t ? e.replace(/\/?\/$/, "") + "/" + t.replace(/^\/+/, "") : e;
}
function ao(e, t, n) {
  let r = !Nf(t);
  return e && (r || n == !1) ? Pf(e, t) : t;
}
const Un = (e) => e instanceof j ? { ...e } : e;
function X(e, t) {
  t = t || {};
  const n = {};
  function r(f, c, p, g) {
    return l.isPlainObject(f) && l.isPlainObject(c) ? l.merge.call({ caseless: g }, f, c) : l.isPlainObject(c) ? l.merge({}, c) : l.isArray(c) ? c.slice() : c;
  }
  function o(f, c, p, g) {
    if (l.isUndefined(c)) {
      if (!l.isUndefined(f))
        return r(void 0, f, p, g);
    } else
      return r(f, c, p, g);
  }
  function s(f, c) {
    if (!l.isUndefined(c))
      return r(void 0, c);
  }
  function i(f, c) {
    if (l.isUndefined(c)) {
      if (!l.isUndefined(f))
        return r(void 0, f);
    } else
      return r(void 0, c);
  }
  function a(f, c, p) {
    if (p in t)
      return r(f, c);
    if (p in e)
      return r(void 0, f);
  }
  const u = {
    url: s,
    method: s,
    data: s,
    baseURL: i,
    transformRequest: i,
    transformResponse: i,
    paramsSerializer: i,
    timeout: i,
    timeoutMessage: i,
    withCredentials: i,
    withXSRFToken: i,
    adapter: i,
    responseType: i,
    xsrfCookieName: i,
    xsrfHeaderName: i,
    onUploadProgress: i,
    onDownloadProgress: i,
    decompress: i,
    maxContentLength: i,
    maxBodyLength: i,
    beforeRedirect: i,
    transport: i,
    httpAgent: i,
    httpsAgent: i,
    cancelToken: i,
    socketPath: i,
    responseEncoding: i,
    validateStatus: a,
    headers: (f, c, p) => o(Un(f), Un(c), p, !0)
  };
  return l.forEach(Object.keys(Object.assign({}, e, t)), function(c) {
    const p = u[c] || o, g = p(e[c], t[c], c);
    l.isUndefined(g) && p !== a || (n[c] = g);
  }), n;
}
const co = (e) => {
  const t = X({}, e);
  let { data: n, withXSRFToken: r, xsrfHeaderName: o, xsrfCookieName: s, headers: i, auth: a } = t;
  t.headers = i = j.from(i), t.url = no(ao(t.baseURL, t.url, t.allowAbsoluteUrls), e.params, e.paramsSerializer), a && i.set(
    "Authorization",
    "Basic " + btoa((a.username || "") + ":" + (a.password ? unescape(encodeURIComponent(a.password)) : ""))
  );
  let u;
  if (l.isFormData(n)) {
    if (T.hasStandardBrowserEnv || T.hasStandardBrowserWebWorkerEnv)
      i.setContentType(void 0);
    else if ((u = i.getContentType()) !== !1) {
      const [f, ...c] = u ? u.split(";").map((p) => p.trim()).filter(Boolean) : [];
      i.setContentType([f || "multipart/form-data", ...c].join("; "));
    }
  }
  if (T.hasStandardBrowserEnv && (r && l.isFunction(r) && (r = r(t)), r || r !== !1 && Af(t.url))) {
    const f = o && s && $f.read(s);
    f && i.set(o, f);
  }
  return t;
}, jf = typeof XMLHttpRequest < "u", xf = jf && function(e) {
  return new Promise(function(n, r) {
    const o = co(e);
    let s = o.data;
    const i = j.from(o.headers).normalize();
    let { responseType: a, onUploadProgress: u, onDownloadProgress: f } = o, c, p, g, m, h;
    function y() {
      m && m(), h && h(), o.cancelToken && o.cancelToken.unsubscribe(c), o.signal && o.signal.removeEventListener("abort", c);
    }
    let d = new XMLHttpRequest();
    d.open(o.method.toUpperCase(), o.url, !0), d.timeout = o.timeout;
    function b() {
      if (!d)
        return;
      const O = j.from(
        "getAllResponseHeaders" in d && d.getAllResponseHeaders()
      ), S = {
        data: !a || a === "text" || a === "json" ? d.responseText : d.response,
        status: d.status,
        statusText: d.statusText,
        headers: O,
        config: e,
        request: d
      };
      io(function(U) {
        n(U), y();
      }, function(U) {
        r(U), y();
      }, S), d = null;
    }
    "onloadend" in d ? d.onloadend = b : d.onreadystatechange = function() {
      !d || d.readyState !== 4 || d.status === 0 && !(d.responseURL && d.responseURL.indexOf("file:") === 0) || setTimeout(b);
    }, d.onabort = function() {
      d && (r(new _("Request aborted", _.ECONNABORTED, e, d)), d = null);
    }, d.onerror = function() {
      r(new _("Network Error", _.ERR_NETWORK, e, d)), d = null;
    }, d.ontimeout = function() {
      let $ = o.timeout ? "timeout of " + o.timeout + "ms exceeded" : "timeout exceeded";
      const S = o.transitional || ro;
      o.timeoutErrorMessage && ($ = o.timeoutErrorMessage), r(new _(
        $,
        S.clarifyTimeoutError ? _.ETIMEDOUT : _.ECONNABORTED,
        e,
        d
      )), d = null;
    }, s === void 0 && i.setContentType(null), "setRequestHeader" in d && l.forEach(i.toJSON(), function($, S) {
      d.setRequestHeader(S, $);
    }), l.isUndefined(o.withCredentials) || (d.withCredentials = !!o.withCredentials), a && a !== "json" && (d.responseType = o.responseType), f && ([g, h] = Me(f, !0), d.addEventListener("progress", g)), u && d.upload && ([p, m] = Me(u), d.upload.addEventListener("progress", p), d.upload.addEventListener("loadend", m)), (o.cancelToken || o.signal) && (c = (O) => {
      d && (r(!O || O.type ? new de(null, e, d) : O), d.abort(), d = null);
    }, o.cancelToken && o.cancelToken.subscribe(c), o.signal && (o.signal.aborted ? c() : o.signal.addEventListener("abort", c)));
    const E = Sf(o.url);
    if (E && T.protocols.indexOf(E) === -1) {
      r(new _("Unsupported protocol " + E + ":", _.ERR_BAD_REQUEST, e));
      return;
    }
    d.send(s || null);
  });
}, Ff = (e, t) => {
  const { length: n } = e = e ? e.filter(Boolean) : [];
  if (t || n) {
    let r = new AbortController(), o;
    const s = function(f) {
      if (!o) {
        o = !0, a();
        const c = f instanceof Error ? f : this.reason;
        r.abort(c instanceof _ ? c : new de(c instanceof Error ? c.message : c));
      }
    };
    let i = t && setTimeout(() => {
      i = null, s(new _(`timeout ${t} of ms exceeded`, _.ETIMEDOUT));
    }, t);
    const a = () => {
      e && (i && clearTimeout(i), i = null, e.forEach((f) => {
        f.unsubscribe ? f.unsubscribe(s) : f.removeEventListener("abort", s);
      }), e = null);
    };
    e.forEach((f) => f.addEventListener("abort", s));
    const { signal: u } = r;
    return u.unsubscribe = () => l.asap(a), u;
  }
}, Uf = Ff, Bf = function* (e, t) {
  let n = e.byteLength;
  if (!t || n < t) {
    yield e;
    return;
  }
  let r = 0, o;
  for (; r < n; )
    o = r + t, yield e.slice(r, o), r = o;
}, Df = async function* (e, t) {
  for await (const n of Lf(e))
    yield* Bf(n, t);
}, Lf = async function* (e) {
  if (e[Symbol.asyncIterator]) {
    yield* e;
    return;
  }
  const t = e.getReader();
  try {
    for (; ; ) {
      const { done: n, value: r } = await t.read();
      if (n)
        break;
      yield r;
    }
  } finally {
    await t.cancel();
  }
}, Bn = (e, t, n, r) => {
  const o = Df(e, t);
  let s = 0, i, a = (u) => {
    i || (i = !0, r && r(u));
  };
  return new ReadableStream({
    async pull(u) {
      try {
        const { done: f, value: c } = await o.next();
        if (f) {
          a(), u.close();
          return;
        }
        let p = c.byteLength;
        if (n) {
          let g = s += p;
          n(g);
        }
        u.enqueue(new Uint8Array(c));
      } catch (f) {
        throw a(f), f;
      }
    },
    cancel(u) {
      return a(u), o.return();
    }
  }, {
    highWaterMark: 2
  });
}, st = typeof fetch == "function" && typeof Request == "function" && typeof Response == "function", uo = st && typeof ReadableStream == "function", If = st && (typeof TextEncoder == "function" ? ((e) => (t) => e.encode(t))(new TextEncoder()) : async (e) => new Uint8Array(await new Response(e).arrayBuffer())), lo = (e, ...t) => {
  try {
    return !!e(...t);
  } catch {
    return !1;
  }
}, Mf = uo && lo(() => {
  let e = !1;
  const t = new Request(T.origin, {
    body: new ReadableStream(),
    method: "POST",
    get duplex() {
      return e = !0, "half";
    }
  }).headers.has("Content-Type");
  return e && !t;
}), Dn = 64 * 1024, Ot = uo && lo(() => l.isReadableStream(new Response("").body)), ke = {
  stream: Ot && ((e) => e.body)
};
st && ((e) => {
  ["text", "arrayBuffer", "blob", "formData", "stream"].forEach((t) => {
    !ke[t] && (ke[t] = l.isFunction(e[t]) ? (n) => n[t]() : (n, r) => {
      throw new _(`Response type '${t}' is not supported`, _.ERR_NOT_SUPPORT, r);
    });
  });
})(new Response());
const kf = async (e) => {
  if (e == null)
    return 0;
  if (l.isBlob(e))
    return e.size;
  if (l.isSpecCompliantForm(e))
    return (await new Request(T.origin, {
      method: "POST",
      body: e
    }).arrayBuffer()).byteLength;
  if (l.isArrayBufferView(e) || l.isArrayBuffer(e))
    return e.byteLength;
  if (l.isURLSearchParams(e) && (e = e + ""), l.isString(e))
    return (await If(e)).byteLength;
}, Hf = async (e, t) => {
  const n = l.toFiniteNumber(e.getContentLength());
  return n ?? kf(t);
}, Gf = st && (async (e) => {
  let {
    url: t,
    method: n,
    data: r,
    signal: o,
    cancelToken: s,
    timeout: i,
    onDownloadProgress: a,
    onUploadProgress: u,
    responseType: f,
    headers: c,
    withCredentials: p = "same-origin",
    fetchOptions: g
  } = co(e);
  f = f ? (f + "").toLowerCase() : "text";
  let m = Uf([o, s && s.toAbortSignal()], i), h;
  const y = m && m.unsubscribe && (() => {
    m.unsubscribe();
  });
  let d;
  try {
    if (u && Mf && n !== "get" && n !== "head" && (d = await Hf(c, r)) !== 0) {
      let S = new Request(t, {
        method: "POST",
        body: r,
        duplex: "half"
      }), F;
      if (l.isFormData(r) && (F = S.headers.get("content-type")) && c.setContentType(F), S.body) {
        const [U, I] = xn(
          d,
          Me(Fn(u))
        );
        r = Bn(S.body, Dn, U, I);
      }
    }
    l.isString(p) || (p = p ? "include" : "omit");
    const b = "credentials" in Request.prototype;
    h = new Request(t, {
      ...g,
      signal: m,
      method: n.toUpperCase(),
      headers: c.normalize().toJSON(),
      body: r,
      duplex: "half",
      credentials: b ? p : void 0
    });
    let E = await fetch(h);
    const O = Ot && (f === "stream" || f === "response");
    if (Ot && (a || O && y)) {
      const S = {};
      ["status", "statusText", "headers"].forEach((rn) => {
        S[rn] = E[rn];
      });
      const F = l.toFiniteNumber(E.headers.get("content-length")), [U, I] = a && xn(
        F,
        Me(Fn(a), !0)
      ) || [];
      E = new Response(
        Bn(E.body, Dn, U, () => {
          I && I(), y && y();
        }),
        S
      );
    }
    f = f || "text";
    let $ = await ke[l.findKey(ke, f) || "text"](E, e);
    return !O && y && y(), await new Promise((S, F) => {
      io(S, F, {
        data: $,
        headers: j.from(E.headers),
        status: E.status,
        statusText: E.statusText,
        config: e,
        request: h
      });
    });
  } catch (b) {
    throw y && y(), b && b.name === "TypeError" && /fetch/i.test(b.message) ? Object.assign(
      new _("Network Error", _.ERR_NETWORK, e, h),
      {
        cause: b.cause || b
      }
    ) : _.from(b, b && b.code, e, h);
  }
}), wt = {
  http: tf,
  xhr: xf,
  fetch: Gf
};
l.forEach(wt, (e, t) => {
  if (e) {
    try {
      Object.defineProperty(e, "name", { value: t });
    } catch {
    }
    Object.defineProperty(e, "adapterName", { value: t });
  }
});
const Ln = (e) => `- ${e}`, qf = (e) => l.isFunction(e) || e === null || e === !1, fo = {
  getAdapter: (e) => {
    e = l.isArray(e) ? e : [e];
    const { length: t } = e;
    let n, r;
    const o = {};
    for (let s = 0; s < t; s++) {
      n = e[s];
      let i;
      if (r = n, !qf(n) && (r = wt[(i = String(n)).toLowerCase()], r === void 0))
        throw new _(`Unknown adapter '${i}'`);
      if (r)
        break;
      o[i || "#" + s] = r;
    }
    if (!r) {
      const s = Object.entries(o).map(
        ([a, u]) => `adapter ${a} ` + (u === !1 ? "is not supported by the environment" : "is not available in the build")
      );
      let i = t ? s.length > 1 ? `since :
` + s.map(Ln).join(`
`) : " " + Ln(s[0]) : "as no adapter specified";
      throw new _(
        "There is no suitable adapter to dispatch the request " + i,
        "ERR_NOT_SUPPORT"
      );
    }
    return r;
  },
  adapters: wt
};
function mt(e) {
  if (e.cancelToken && e.cancelToken.throwIfRequested(), e.signal && e.signal.aborted)
    throw new de(null, e);
}
function In(e) {
  return mt(e), e.headers = j.from(e.headers), e.data = dt.call(
    e,
    e.transformRequest
  ), ["post", "put", "patch"].indexOf(e.method) !== -1 && e.headers.setContentType("application/x-www-form-urlencoded", !1), fo.getAdapter(e.adapter || Xt.adapter)(e).then(function(r) {
    return mt(e), r.data = dt.call(
      e,
      e.transformResponse,
      r
    ), r.headers = j.from(r.headers), r;
  }, function(r) {
    return so(r) || (mt(e), r && r.response && (r.response.data = dt.call(
      e,
      e.transformResponse,
      r.response
    ), r.response.headers = j.from(r.response.headers))), Promise.reject(r);
  });
}
const po = "1.8.4", it = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach((e, t) => {
  it[e] = function(r) {
    return typeof r === e || "a" + (t < 1 ? "n " : " ") + e;
  };
});
const Mn = {};
it.transitional = function(t, n, r) {
  function o(s, i) {
    return "[Axios v" + po + "] Transitional option '" + s + "'" + i + (r ? ". " + r : "");
  }
  return (s, i, a) => {
    if (t === !1)
      throw new _(
        o(i, " has been removed" + (n ? " in " + n : "")),
        _.ERR_DEPRECATED
      );
    return n && !Mn[i] && (Mn[i] = !0, console.warn(
      o(
        i,
        " has been deprecated since v" + n + " and will be removed in the near future"
      )
    )), t ? t(s, i, a) : !0;
  };
};
it.spelling = function(t) {
  return (n, r) => (console.warn(`${r} is likely a misspelling of ${t}`), !0);
};
function Kf(e, t, n) {
  if (typeof e != "object")
    throw new _("options must be an object", _.ERR_BAD_OPTION_VALUE);
  const r = Object.keys(e);
  let o = r.length;
  for (; o-- > 0; ) {
    const s = r[o], i = t[s];
    if (i) {
      const a = e[s], u = a === void 0 || i(a, s, e);
      if (u !== !0)
        throw new _("option " + s + " must be " + u, _.ERR_BAD_OPTION_VALUE);
      continue;
    }
    if (n !== !0)
      throw new _("Unknown option " + s, _.ERR_BAD_OPTION);
  }
}
const Ue = {
  assertOptions: Kf,
  validators: it
}, B = Ue.validators;
class He {
  constructor(t) {
    this.defaults = t, this.interceptors = {
      request: new Pn(),
      response: new Pn()
    };
  }
  /**
   * Dispatch a request
   *
   * @param {String|Object} configOrUrl The config specific for this request (merged with this.defaults)
   * @param {?Object} config
   *
   * @returns {Promise} The Promise to be fulfilled
   */
  async request(t, n) {
    try {
      return await this._request(t, n);
    } catch (r) {
      if (r instanceof Error) {
        let o = {};
        Error.captureStackTrace ? Error.captureStackTrace(o) : o = new Error();
        const s = o.stack ? o.stack.replace(/^.+\n/, "") : "";
        try {
          r.stack ? s && !String(r.stack).endsWith(s.replace(/^.+\n.+\n/, "")) && (r.stack += `
` + s) : r.stack = s;
        } catch {
        }
      }
      throw r;
    }
  }
  _request(t, n) {
    typeof t == "string" ? (n = n || {}, n.url = t) : n = t || {}, n = X(this.defaults, n);
    const { transitional: r, paramsSerializer: o, headers: s } = n;
    r !== void 0 && Ue.assertOptions(r, {
      silentJSONParsing: B.transitional(B.boolean),
      forcedJSONParsing: B.transitional(B.boolean),
      clarifyTimeoutError: B.transitional(B.boolean)
    }, !1), o != null && (l.isFunction(o) ? n.paramsSerializer = {
      serialize: o
    } : Ue.assertOptions(o, {
      encode: B.function,
      serialize: B.function
    }, !0)), n.allowAbsoluteUrls !== void 0 || (this.defaults.allowAbsoluteUrls !== void 0 ? n.allowAbsoluteUrls = this.defaults.allowAbsoluteUrls : n.allowAbsoluteUrls = !0), Ue.assertOptions(n, {
      baseUrl: B.spelling("baseURL"),
      withXsrfToken: B.spelling("withXSRFToken")
    }, !0), n.method = (n.method || this.defaults.method || "get").toLowerCase();
    let i = s && l.merge(
      s.common,
      s[n.method]
    );
    s && l.forEach(
      ["delete", "get", "head", "post", "put", "patch", "common"],
      (h) => {
        delete s[h];
      }
    ), n.headers = j.concat(i, s);
    const a = [];
    let u = !0;
    this.interceptors.request.forEach(function(y) {
      typeof y.runWhen == "function" && y.runWhen(n) === !1 || (u = u && y.synchronous, a.unshift(y.fulfilled, y.rejected));
    });
    const f = [];
    this.interceptors.response.forEach(function(y) {
      f.push(y.fulfilled, y.rejected);
    });
    let c, p = 0, g;
    if (!u) {
      const h = [In.bind(this), void 0];
      for (h.unshift.apply(h, a), h.push.apply(h, f), g = h.length, c = Promise.resolve(n); p < g; )
        c = c.then(h[p++], h[p++]);
      return c;
    }
    g = a.length;
    let m = n;
    for (p = 0; p < g; ) {
      const h = a[p++], y = a[p++];
      try {
        m = h(m);
      } catch (d) {
        y.call(this, d);
        break;
      }
    }
    try {
      c = In.call(this, m);
    } catch (h) {
      return Promise.reject(h);
    }
    for (p = 0, g = f.length; p < g; )
      c = c.then(f[p++], f[p++]);
    return c;
  }
  getUri(t) {
    t = X(this.defaults, t);
    const n = ao(t.baseURL, t.url, t.allowAbsoluteUrls);
    return no(n, t.params, t.paramsSerializer);
  }
}
l.forEach(["delete", "get", "head", "options"], function(t) {
  He.prototype[t] = function(n, r) {
    return this.request(X(r || {}, {
      method: t,
      url: n,
      data: (r || {}).data
    }));
  };
});
l.forEach(["post", "put", "patch"], function(t) {
  function n(r) {
    return function(s, i, a) {
      return this.request(X(a || {}, {
        method: t,
        headers: r ? {
          "Content-Type": "multipart/form-data"
        } : {},
        url: s,
        data: i
      }));
    };
  }
  He.prototype[t] = n(), He.prototype[t + "Form"] = n(!0);
});
const Be = He;
class Qt {
  constructor(t) {
    if (typeof t != "function")
      throw new TypeError("executor must be a function.");
    let n;
    this.promise = new Promise(function(s) {
      n = s;
    });
    const r = this;
    this.promise.then((o) => {
      if (!r._listeners)
        return;
      let s = r._listeners.length;
      for (; s-- > 0; )
        r._listeners[s](o);
      r._listeners = null;
    }), this.promise.then = (o) => {
      let s;
      const i = new Promise((a) => {
        r.subscribe(a), s = a;
      }).then(o);
      return i.cancel = function() {
        r.unsubscribe(s);
      }, i;
    }, t(function(s, i, a) {
      r.reason || (r.reason = new de(s, i, a), n(r.reason));
    });
  }
  /**
   * Throws a `CanceledError` if cancellation has been requested.
   */
  throwIfRequested() {
    if (this.reason)
      throw this.reason;
  }
  /**
   * Subscribe to the cancel signal
   */
  subscribe(t) {
    if (this.reason) {
      t(this.reason);
      return;
    }
    this._listeners ? this._listeners.push(t) : this._listeners = [t];
  }
  /**
   * Unsubscribe from the cancel signal
   */
  unsubscribe(t) {
    if (!this._listeners)
      return;
    const n = this._listeners.indexOf(t);
    n !== -1 && this._listeners.splice(n, 1);
  }
  toAbortSignal() {
    const t = new AbortController(), n = (r) => {
      t.abort(r);
    };
    return this.subscribe(n), t.signal.unsubscribe = () => this.unsubscribe(n), t.signal;
  }
  /**
   * Returns an object that contains a new `CancelToken` and a function that, when called,
   * cancels the `CancelToken`.
   */
  static source() {
    let t;
    return {
      token: new Qt(function(o) {
        t = o;
      }),
      cancel: t
    };
  }
}
const Wf = Qt;
function zf(e) {
  return function(n) {
    return e.apply(null, n);
  };
}
function Jf(e) {
  return l.isObject(e) && e.isAxiosError === !0;
}
const vt = {
  Continue: 100,
  SwitchingProtocols: 101,
  Processing: 102,
  EarlyHints: 103,
  Ok: 200,
  Created: 201,
  Accepted: 202,
  NonAuthoritativeInformation: 203,
  NoContent: 204,
  ResetContent: 205,
  PartialContent: 206,
  MultiStatus: 207,
  AlreadyReported: 208,
  ImUsed: 226,
  MultipleChoices: 300,
  MovedPermanently: 301,
  Found: 302,
  SeeOther: 303,
  NotModified: 304,
  UseProxy: 305,
  Unused: 306,
  TemporaryRedirect: 307,
  PermanentRedirect: 308,
  BadRequest: 400,
  Unauthorized: 401,
  PaymentRequired: 402,
  Forbidden: 403,
  NotFound: 404,
  MethodNotAllowed: 405,
  NotAcceptable: 406,
  ProxyAuthenticationRequired: 407,
  RequestTimeout: 408,
  Conflict: 409,
  Gone: 410,
  LengthRequired: 411,
  PreconditionFailed: 412,
  PayloadTooLarge: 413,
  UriTooLong: 414,
  UnsupportedMediaType: 415,
  RangeNotSatisfiable: 416,
  ExpectationFailed: 417,
  ImATeapot: 418,
  MisdirectedRequest: 421,
  UnprocessableEntity: 422,
  Locked: 423,
  FailedDependency: 424,
  TooEarly: 425,
  UpgradeRequired: 426,
  PreconditionRequired: 428,
  TooManyRequests: 429,
  RequestHeaderFieldsTooLarge: 431,
  UnavailableForLegalReasons: 451,
  InternalServerError: 500,
  NotImplemented: 501,
  BadGateway: 502,
  ServiceUnavailable: 503,
  GatewayTimeout: 504,
  HttpVersionNotSupported: 505,
  VariantAlsoNegotiates: 506,
  InsufficientStorage: 507,
  LoopDetected: 508,
  NotExtended: 510,
  NetworkAuthenticationRequired: 511
};
Object.entries(vt).forEach(([e, t]) => {
  vt[t] = e;
});
const Vf = vt;
function ho(e) {
  const t = new Be(e), n = Kr(Be.prototype.request, t);
  return l.extend(n, Be.prototype, t, { allOwnKeys: !0 }), l.extend(n, t, null, { allOwnKeys: !0 }), n.create = function(o) {
    return ho(X(e, o));
  }, n;
}
const w = ho(Xt);
w.Axios = Be;
w.CanceledError = de;
w.CancelToken = Wf;
w.isCancel = so;
w.VERSION = po;
w.toFormData = rt;
w.AxiosError = _;
w.Cancel = w.CanceledError;
w.all = function(t) {
  return Promise.all(t);
};
w.spread = zf;
w.isAxiosError = Jf;
w.mergeConfig = X;
w.AxiosHeaders = j;
w.formToJSON = (e) => oo(l.isHTMLForm(e) ? new FormData(e) : e);
w.getAdapter = fo.getAdapter;
w.HttpStatusCode = Vf;
w.default = w;
const Xf = w;
var Z = /* @__PURE__ */ ((e) => (e.INIT = "init", e.CLONE = "clone", e.HOOKS = "hooks", e.CHECK = "check", e))(Z || {}), ne = /* @__PURE__ */ ((e) => (e.DEFAULT = "default", e.CLONE_CONFIG = "cloneConfig", e))(ne || {}), L = /* @__PURE__ */ ((e) => (e.GITHUB = "github", e.GITEE = "gitee", e))(L || {}), Pe = /* @__PURE__ */ ((e) => (e.REVERSE_MERGE = "reverseMerge", e))(Pe || {}), D = /* @__PURE__ */ ((e) => (e.REFLOG_ACTION = "reflog-action", e.COMMIT_MSG = "commit-msg", e.COMMIT_RECORD = "commit-record", e.PRE_REBASE = "pre-rebase", e))(D || {});
const Qf = 3e4, kn = Math.random(), mo = {
  timeout: Qf,
  getBusinessCode() {
    return kn;
  },
  getBusinessMsg(e) {
    return e.statusText;
  },
  getBusinessData(e) {
    return e.data;
  },
  businessSuccessCodeList: [kn],
  axios: Xf
}, go = qr({
  basePath: " https://gitee.com",
  ...mo
}), yo = qr({
  basePath: "https://api.github.com",
  ...mo
}), Zf = ({
  username: e
}) => go({
  url: `/api/v5/users/${e}/repos`,
  method: "GET"
}), Yf = ({
  accessToken: e
}) => go({
  url: "/api/v5/user/repos",
  method: "GET",
  params: {
    access_token: e,
    per_page: 100,
    page: 1,
    sort: "updated"
  }
}), ep = ({
  username: e
}) => yo({
  url: `/users/${e}/repos`,
  method: "GET"
}), tp = ({
  accessToken: e
}) => yo({
  url: "/user/repos",
  method: "GET",
  headers: {
    Authorization: `Bearer ${e}`
  },
  params: {
    per_page: 100,
    page: 1,
    sort: "updated"
  }
}), Zt = {
  name: "@done-coding/cli-git",
  version: "0.6.4-alpha.0",
  description: "git跨平台操作命令行工具",
  bin: {
    "dc-git": "es/cli.mjs"
  },
  cliConfig: {
    namespaceDir: ".done-coding",
    moduleName: "git"
  }
}, {
  cliConfig: { namespaceDir: np, moduleName: rp }
} = Zt, Eo = `./${np}/${rp}`, Yt = `${Eo}.json`, _o = (e) => `${Eo}/.${e}`, bo = ({ platform: e, username: t }) => `${e}/${t}`, op = (e) => {
  const { platform: t } = e, n = _o(t), r = qn(n, {
    isFindFarthest: !1
  });
  if (!r) {
    R.warn("配置文件不存在");
    return;
  }
  const o = `${r}/${n}`, s = gt.readFileSync(o, "utf-8"), i = bo(e), a = $o({ encryptedText: s, secretKey: i });
  if (!a) {
    R.warn("配置文件解密失败");
    return;
  }
  return JSON.parse(a);
}, sp = ({
  rootDir: e,
  username: t,
  platform: n,
  accessToken: r
}) => {
  const o = _o(n), s = JSON.stringify({
    accessToken: r
  }), i = bo({ platform: n, username: t }), a = No({ text: s, secretKey: i }), u = Ee.join(e, o);
  gt.mkdirSync(Ee.dirname(u), {
    recursive: !0
  }), gt.writeFileSync(u, a, "utf-8"), R.success(`配置信息保存成功 ${u}`);
}, Hn = [
  { title: "GitHub", value: L.GITHUB },
  { title: "Gitee", value: L.GITEE }
], en = (e) => {
  let t = 0;
  if (e) {
    const n = Hn.findIndex(
      (r) => r.value === e
    );
    n >= 0 && (t = n);
  }
  return {
    type: "select",
    name: "platform",
    message: "选择git平台",
    choices: Hn,
    initial: t
  };
}, tn = (e) => ({
  type: "text",
  name: "username",
  message: "请输入用户名",
  format: (t) => t.trim(),
  validate: (t) => t.length > 0 || "用户名不能为空",
  initial: e
}), ip = {
  type: "password",
  name: "accessToken",
  message: "请输入git access token",
  format: (e) => e.trim(),
  validate: (e) => e.length > 0 || "access token不能为空"
}, ap = async ({
  platform: e,
  username: t
} = {}) => {
  const n = {
    platform: e,
    username: t
  };
  e || (n.platform = (await C(en())).platform), t || (n.username = (await C(tn())).username);
  const { platform: r, username: o } = n;
  let s = [];
  const i = op({
    username: o,
    platform: r
  });
  let a = i == null ? void 0 : i.accessToken;
  R.stage(`正在获取${o}的${r}仓库列表...`);
  const u = {
    username: o,
    accessToken: a
  };
  switch (n.platform) {
    case L.GITHUB: {
      s = (await (u.accessToken ? tp : ep)(u)).data.map((c) => ({
        name: c.name,
        httpUrl: c.clone_url,
        sshUrl: c.ssh_url,
        description: c.description || ""
      }));
      break;
    }
    case L.GITEE: {
      s = (await (u.accessToken ? Yf : Zf)(u)).data.map((c) => ({
        name: c.name,
        httpUrl: c.html_url,
        sshUrl: c.ssh_url,
        description: c.description || ""
      }));
      break;
    }
    default:
      return R.error(`未知平台${r}`), process.exit(1);
  }
  if (R.success(`获取${o}的${r}仓库列表成功`), s.length === 0) {
    R.warn(`${o} 可获取${r}仓库列表为空`);
    return;
  } else
    R.stage(`共${s.length}个仓库`);
  const { repoUrl: f } = await C({
    name: "repoUrl",
    type: "select",
    message: "选择仓库",
    choices: s.map((c) => ({
      title: `${c.name} ${c.description}`,
      value: c.sshUrl
    }))
  });
  return f;
}, cp = [
  v.PRE_COMMIT,
  v.PRE_MERGE_COMMIT,
  v.PREPARE_COMMIT_MSG,
  v.COMMIT_MSG,
  v.PRE_REBASE,
  v.POST_COMMIT,
  v.POST_MERGE,
  v.PRE_PUSH
], up = [
  v.PRE_MERGE_COMMIT,
  v.PREPARE_COMMIT_MSG,
  v.POST_MERGE,
  v.PRE_PUSH,
  v.PRE_REBASE
], at = (e) => {
  const {
    [Z.CHECK]: { [Pe.REVERSE_MERGE]: t }
  } = e;
  return t;
}, lp = (e) => Math.max(
  0,
  ...Object.values(e).map(({ logCount: t }) => t)
), fp = (e, t) => Object.entries(e).reduce(
  (n, [r, { afterHash: o, logCount: s }]) => {
    let i = s - 1;
    if (o) {
      const a = t.findIndex((u) => u.hash === o);
      a !== -1 && (R.info(
        `${r} 设置 只检测 ${o} 之后的日志 即 下标 [0 - ${a})`
      ), i = Math.min(i, a - 1));
    }
    return R.info(`${r} 最多检查${i + 1}条`), n[r] = i, n;
  },
  {}
), nn = ({
  mergeInfo: e,
  configMap: t,
  currentBranch: n
}) => {
  if (!e)
    return;
  const { fromBranch: r, toBranch: o = n } = e;
  if (r === n) {
    R.skip(`跳过: 允许远程${r} => 本地${o}`);
    return;
  }
  const s = !!Object.keys(t).map(
    (i) => new RegExp(i)
  ).find(
    (i) => i.test(r)
  );
  return s || R.skip(`跳过: 允许${r} => ${o}`), s;
}, pp = {
  [Z.CHECK]: {
    [Pe.REVERSE_MERGE]: {
      [/^test$/.source]: {
        includeRebase: !0,
        logCount: 10,
        afterHash: ""
      }
    }
  }
}, hp = () => ({
  ...Tt({
    configPathDefault: Yt
  }),
  type: {
    alias: "t",
    describe: "初始化类型",
    choices: [ne.DEFAULT, ne.CLONE_CONFIG],
    default: ne.DEFAULT
  }
}), dp = (e) => {
  Y(`npm pkg set scripts.postprepare="${e} init"`);
}, mp = async (e) => {
  const { type: t } = e;
  switch (t) {
    case ne.DEFAULT: {
      const { rootDir: n, isSubCommand: r, _: o } = e, s = `${e.$0}${r ? ` ${o[0]}` : ""}`;
      return await Co({
        hookNames: up,
        rootDir: n,
        getCode: (i) => `npx ${s} hooks ${i} "$@"`
      }), await dp(s), Ao(pp, e, {
        onFileGenerated: (i) => {
          R.info(`文件生成成功: ${i}`);
        }
      });
    }
    case ne.CLONE_CONFIG: {
      const { rootDir: n } = e, { platform: r } = await C(en()), { username: o } = await C(tn()), { accessToken: s } = await C(ip);
      return sp({
        rootDir: n,
        platform: r,
        username: o,
        accessToken: s
      });
    }
    default:
      throw new Error(`未知的初始化类型: ${t}`);
  }
}, gp = {
  command: Z.INIT,
  describe: "初始化配置文件",
  options: hp(),
  handler: mp
}, yp = () => ({
  projectName: {
    type: "string",
    alias: "p",
    describe: "项目名称"
  }
}), Ep = () => ({
  platform: {
    describe: "选择git平台",
    type: "string",
    choices: [L.GITHUB, L.GITEE]
  },
  username: {
    describe: "git平台用户名",
    type: "string"
  }
}), Ro = async (e) => {
  const t = await ap(e), { projectName: n } = e;
  Y(
    `git clone ${t} ${n ? `${n} ` : ""}--depth=1`,
    { stdio: "inherit" }
  ), R.success(`克隆${t}成功`);
}, _p = {
  command: `${Z.CLONE} <platform> <username>`,
  describe: "从选择的git平台克隆代码",
  options: yp(),
  positionals: Ep(),
  handler: Ro
}, bp = () => Tt({
  configPathDefault: Yt
}), Rp = () => ({
  type: {
    describe: "检测类型",
    type: "string",
    choices: [Pe.REVERSE_MERGE]
  }
}), Op = ({
  config: e,
  currentBranch: t
}) => {
  const n = xo();
  if (!n)
    return;
  const r = at(e), o = nn({
    mergeInfo: n,
    configMap: r,
    currentBranch: t
  }), { fromBranch: s } = n;
  if (o) {
    const i = `发现当前执行 git ${process.env.GIT_REFLOG_ACTION}
意欲反向合并${s} 
拦截 !!!

--------- 建议 ---------
可以通过
1.查看当前已提交记录的最新版本号  
  git log  
2. 回退到当前已提交记录的最新版本
  git reset --hard <当前已提交记录的最新版本号> 
    `;
    return R.error(i), process.exit(1);
  }
}, wp = ({
  config: e,
  currentBranch: t,
  commitMsg: n,
  rootDir: r
}) => {
  if (Fo(r))
    return R.skip("当前在变基中, 不通过提交信息检测合并");
  const o = Uo(n), s = at(e);
  if (nn({
    mergeInfo: o,
    configMap: s,
    currentBranch: t
  })) {
    const { fromBranch: i, toBranch: a = t } = o, u = `禁止${i}被合并: ${i} => ${a}

--------- 建议 ---------
可以通过
1.查看当前已提交记录的最新版本号  
  git log  
2. 回退到当前已提交记录的最新版本
  git reset --hard <当前已提交记录的最新版本号> 
        `;
    return R.error(u), process.exit(1);
  }
}, vp = ({
  config: e,
  currentBranch: t
}) => {
  const n = at(e), r = lp(n);
  if (!r)
    return;
  const o = Bo({ count: r }), s = fp(n, o), i = o.map((u) => u.hash), a = Do({
    /** 考虑reflog存在往复切换  */
    count: r + 30,
    filterItem: (u) => i.includes(u.hash)
  }).reduce(
    (u, f) => (f.mergeInfo && (u[f.hash] = f), u),
    {}
  );
  o.forEach((u, f) => {
    var c;
    const p = u.mergeInfo || ((c = a[u.hash]) == null ? void 0 : c.mergeInfo);
    p && Object.entries(n).forEach(([g]) => {
      const m = s[g];
      if (f > m) {
        R.skip(`${g} 只检测${m + 1}条， 超出不再检测`);
        return;
      }
      const h = nn({
        mergeInfo: p,
        configMap: n,
        currentBranch: t
      }), { fromBranch: y } = p;
      if (h) {
        const d = `发现${y}被合并
  本次提交版本 ${u.hash}
  提交注释 ${u.message}
  提交人: ${u.committer}
  提交时间: ${u.commitTime}

--------- 建议 ---------
可以通过
1.查看操作日志版本号为${u.hash}的前一次操作的版本号 
  git reflog
3. 回退到前一次操作的版本号 
  git reset --hard <当前已提交记录的最新版本号> 
`;
        return R.error(d), process.exit(1);
      }
    });
  });
}, Sp = ({
  config: e,
  rebaseInfo: t
}) => {
  const n = at(e), r = Object.entries(n), { targetBranch: o, originBranch: s } = t;
  for (let [i, a] of r)
    if (a.includeRebase) {
      if (new RegExp(i).test(o)) {
        const u = `禁止变基到${o}的基线
    即 禁止${s}分子包含${o}分支(可能)存在的其他需求的代码`;
        return R.error(u), process.exit(1);
      }
    } else
      R.skip(`不检测是否变基到${o}的基线`);
  R.success(`允许变基到${o}`);
}, ye = async (e) => {
  const { config: t, way: n } = e, r = Po();
  switch (n) {
    case D.REFLOG_ACTION: {
      Op({ config: t, currentBranch: r });
      break;
    }
    case D.COMMIT_MSG: {
      const { hookName: o, rootDir: s } = e, i = jo({
        hookName: o,
        rootDir: s
      });
      wp({
        config: t,
        currentBranch: r,
        commitMsg: i,
        rootDir: s
      });
      break;
    }
    case D.COMMIT_RECORD: {
      vp({ config: t, currentBranch: r });
      break;
    }
    case D.PRE_REBASE: {
      const { args: o } = e, [
        s,
        /** 能进入 rebase 说明originBranch有值 或者 当前在某个分支上 */
        i = r
      ] = o;
      Sp({
        config: t,
        rebaseInfo: {
          targetBranch: s,
          originBranch: i
        }
      });
      break;
    }
    default:
      throw new Error(`不支持的检测方式${n}`);
  }
}, Tp = async (e) => {
  const t = await ge(e), { type: n } = e;
  switch (n) {
    case Pe.REVERSE_MERGE: {
      await ye({
        rootDir: e.rootDir,
        config: t,
        way: D.COMMIT_RECORD
      });
      break;
    }
    default:
      throw new Error(`不支持的检测类型${n}`);
  }
}, Cp = {
  command: `${Z.CHECK} <type>`,
  describe: "检查git操作",
  options: bp(),
  positionals: Rp(),
  handler: Tp
}, Ap = () => Tt({
  configPathDefault: Yt
}), $p = () => ({
  name: {
    describe: "钩子名称",
    type: "string",
    choices: cp
  }
}), Np = async (e) => {
  const { name: t, rootDir: n, args: r } = e;
  switch (t) {
    case v.PRE_MERGE_COMMIT: {
      const o = await ge(e);
      ye({
        config: o,
        way: D.REFLOG_ACTION,
        rootDir: n
      });
      break;
    }
    case v.PREPARE_COMMIT_MSG: {
      const o = await ge(e);
      ye({
        config: o,
        way: D.COMMIT_MSG,
        hookName: t,
        rootDir: n
      });
      break;
    }
    case v.POST_MERGE:
    case v.PRE_PUSH: {
      const o = await ge(e);
      ye({
        config: o,
        way: D.COMMIT_RECORD,
        rootDir: n
      });
      break;
    }
    case v.PRE_REBASE: {
      const o = await ge(e);
      ye({
        config: o,
        way: D.PRE_REBASE,
        args: r
      });
      break;
    }
    default:
      R.error(`${t} 当前未支持处理`);
  }
}, Pp = {
  command: `${Z.HOOKS} <name> [args...]`,
  describe: "git钩子回调",
  options: Ap(),
  positionals: $p(),
  handler: Np
}, { version: jp, description: xp } = Zt;
[
  gp,
  _p,
  Pp,
  Cp
].map(St), Gn({ packageJson: Zt });
const Fp = async (e) => {
  console.log("克隆done-coding系列项目"), console.log("选择平台:");
  const { platform: t } = await C(en(L.GITEE));
  console.log("选择用户名:");
  const { username: n } = await C(
    tn(
      {
        [L.GITHUB]: "done-coding",
        [L.GITEE]: "justsosu"
      }[t]
    )
  );
  console.log("platform:", t), console.log("username:", n), await Ro({
    platform: t,
    username: n,
    projectName: e
  });
}, Up = () => ({
  justCloneFromDoneCoding: {
    alias: "c",
    type: "boolean",
    describe: "是否仅仅(从done-coding系列项目列表中)克隆远程仓库",
    default: !1
  }
}), Bp = () => ({
  projectName: {
    describe: "项目名称",
    type: "string"
  }
}), Oo = async (e) => {
  R.info(`版本: ${se.version}`);
  const { projectName: t, justCloneFromDoneCoding: n = !0 } = e;
  if (n) {
    R.info("仅仅(从done-coding系列项目列表中)克隆远程仓库"), await Fp(t);
    return;
  }
  const o = ((t ?? (await C(Ko)).projectName) || "").trim();
  if (!o)
    return R.error("项目名称不能为空"), process.exit(1);
  if (o.includes(" ") || o.includes("\\") || o.includes("/"))
    return R.error(`项目名称\`${o}\`不能包含空格或者\\或者/`), process.exit(1);
  const s = Io(process.cwd(), o);
  if (on(s)) {
    const { isRemove: m } = await C(Jo());
    if (m === !0)
      je(s, { recursive: !0, force: !0 });
    else
      return R.error(`项目${o}已存在`), process.exit(1);
  }
  const { template: i } = await C(await Wo());
  let a = "", u = "";
  if (i === Kn) {
    const { customUrl: m } = await C(Vo);
    a = m;
  } else if (i === Wn)
    a = await Go();
  else {
    const m = (await zn()).find(
      (h) => h.name === i
    );
    if (!m)
      return R.error(`模板${i}不存在`), process.exit(1);
    if (!m.url)
      return R.error(`模板${i}仓库地址不存在`), process.exit(1);
    a = m.url, u = m.branch;
  }
  const f = qn(".git");
  R.stage("正在初始化项目，请稍等..."), Y(
    `git clone${u ? ` -b ${u}` : ""} ${a} ${o} --depth=1`,
    { stdio: "inherit" }
  );
  const c = Ho, p = Mo({
    rootDir: s,
    configPath: c
  });
  if (p && (await ko({
    rootDir: s,
    configPath: c,
    extraEnvData: {
      $projectName: o
    }
  }), je(p, { force: !0 }), R.stage("模板项目配置注入成功, 模版项目配置文件已删除")), R.stage("项目初始化完成"), f) {
    const m = Ee.resolve(s), h = Ee.resolve(m, ".git");
    if (!on(h))
      throw new Error("git目录不存在");
    je(h, { recursive: !0, force: !0 }), R.stage(
      `项目创建在父级git仓库${f}中，已删除${o}目录下的.git(${h})`
    );
  } else if ((await C(zo)).saveGitHistory)
    Y("git remote rename origin upstream && git fetch --unshallow", {
      cwd: s,
      stdio: "inherit"
    }), R.stage(
      "已经将origin重命名为upstream，后续可以与模板git仓库有完整的交互"
    ), R.success("已保存git历史记录");
  else {
    const h = Ee.resolve(s, ".git");
    je(h, { recursive: !0, force: !0 }), Y("git init", {
      cwd: s,
      stdio: "inherit"
    });
  }
  const { gitCommitMessage: g } = await C(
    Xo(o)
  );
  Y(`git add . && git commit -m '${g}'`, {
    cwd: s,
    stdio: "inherit"
  }), R.success(`项目${o}初始化完成`), R.info(`
使用步骤: 
  1. cd ${o}
  2. pnpm install
  3. pnpm run dev
  `);
}, Dp = {
  command: "$0",
  describe: se.description,
  options: Up(),
  positionals: Bp(),
  handler: Oo
};
var wo = /* @__PURE__ */ ((e) => (e.CREATE = "create", e))(wo || {});
const zp = async (e, t) => {
  switch (e) {
    case wo.CREATE:
    default:
      return Oo(t);
  }
}, { version: Lp, description: Ip } = se, vo = {
  describe: Ip,
  version: Lp,
  subcommands: [Dp].map(St),
  demandCommandCount: 1,
  rootScriptName: Gn({ packageJson: se })
}, {
  cliConfig: { moduleName: Mp }
} = se, So = (e = !1) => {
  const t = `${e ? `${Mp} ` : ""}[projectName]`, n = `$0 ${t.trim()}`;
  return { command: t, usage: n };
}, Jp = async () => Lo({
  ...vo,
  ...So()
}), Vp = () => St({
  ...vo,
  ...So(!0)
});
export {
  wo as S,
  Vp as a,
  Dp as b,
  Jp as c,
  zp as d,
  vo as e,
  Oo as h
};
