import { CliHandlerArgv } from '@done-coding/cli-utils';
import { CliInfo } from '@done-coding/cli-utils';
import { CommandModule } from 'yargs';
import type { SubCliInfo } from '@done-coding/cli-utils';

export declare const commandCliInfo: Omit<CliInfo, "usage">;

/** 作为子命令创建 */
export declare const crateAsSubcommand: () => CommandModule<{}, {}>;

export declare const createCommandCliInfo: SubCliInfo;

export declare interface CreateConfigJson {
    templateList: CreateTemplateChoiceItem[];
}

export declare const createHandler: (argv: CliHandlerArgv<CreateOptions>) => Promise<undefined>;

export declare interface CreateOptions {
    /** 项目名称 */
    projectName?: string;
    /** 是否仅仅(从done-coding系列项目列表中)克隆远程仓库 */
    justCloneFromDoneCoding?: boolean;
}

/** 模版选项 */
export declare interface CreateTemplateChoiceItem {
    /** 模板名 */
    name: string;
    /** 仓库地址 */
    url?: string;
    /** 描述 */
    description?: string;
    /** 目标分支 */
    branch?: string;
    /** 应用实例 */
    instances?: string[];
}

export declare const handler: (command: SubcommandEnum, argv: CliHandlerArgv<any>) => Promise<undefined>;

export declare enum SubcommandEnum {
    CREATE = "create"
}

export { }
